var Disvovery = {
	'findPhotoBrowser' : null,
	'beCommentator' : 0, //基于哪条评论做的回复？如果直接评论默认评论id就是0.
	'noticeId' : 0, //寻宠详情的ID
	'receiveId' : 0, //对话者，如果直接评论，值就是发布寻宠人的ID；如果是回复的某条评论，值就是评论记录的发表人ID
	'photoBrowserPopupDark' : null,
	'showShare' : function() {
		$$('#share_content').removeClass('modal-out');
		$$('#share_content').addClass('modal-in');
		$$('#pet_share').addClass('modal-overlay-visible');

	},

	'removeCover' : function(obj) {
		if ($$('.modal').length == 0) {
			obj.className = 'modal-overlay';
			$$('#share_content').addClass('modal-out');
			$$('#share_content').removeClass('modal-in');
		}
	},

	'closeShare' : function() {
		$$('#share_content').addClass('modal-out');
		$$('#share_content').removeClass('modal-in');
		$$('#pet_share').removeClass('modal-overlay-visible');
	},
	'callLoster' : function(phoneNumber) {
		api.call({
			type : 'tel_prompt',
			number : phoneNumber
		});
	},
	//弹出评论输入框
	'popupComment' : function(commentId, receiveId) {
		if (globalVar.uuid == null && (window.localStorage.getItem('uuid') == null || window.localStorage.getItem('uuid') == '')) {
			petKiki.confirm('去注册／登录?', '登录后才能评论', function() {
				mainView.router.loadPage("html/user/login.html");
			});
		} else {
			this.beCommentator = commentId;
			this.receiveId = receiveId;

			// Check first, if we already have opened picker
			if ($$('.picker-modal.modal-in').length > 0) {
				petKiki.closeModal('.picker-modal.modal-in');
			}
			petKiki.pickerModal('<div class="picker-modal" style="background-color: rgb(247,247,247);">' + '<div class="toolbar" style="border-bottom: 1px solid rgb(228,228,228);">' + '<div class="toolbar-inner">' + '<div class="left" style="padding: 10px;"><a href="#" class="close-picker">取消</a></div>' + '<div class="right" id="pet-comment-modal" style="padding: 10px;" onclick="Disvovery.saveComment();">发送</div>' + '</div>' + '</div>' + '<textarea class="pet-write-comment-textarea" placeholder="输入评论内容"></textarea>' + '</div>');
			$$('#pet-comment-modal').removeAttr("disabled");
		}

	},
	//保存评论
	'saveComment' : function() {
		var content = utf16toEntities($$('.pet-write-comment-textarea').val().replace(/(^\s*)|(\s*$)/g, ""));
		if (content == null || content == undefined || content == '') {
			toast.show('请输入评论内容');
			return false;
		}
		if (content.length > 200) {
			toast.show('评论字数不能超过200字');
			return false;
		}
		$$('#pet-comment-modal').attr("disabled", "disabled");
		//过滤敏感字
		wordpass(content);
		api.addEventListener({
			name : 'getKeyWord'
		}, function(ret, err) {
			content = ret.value.info;
			window.Auto517.Ajax.ajaxBus({
				url : globalVar.serverAddress + '/findpetComment/addComment.jhtml?fromChannel=app',
				dataType : 'json',
				timeout : 150000,
				data : {
					c_userid : globalVar.uuid,
					c_receiveid : Disvovery.receiveId,
					c_content : content,
					c_noticeid : Disvovery.noticeId,
					c_commentid : Disvovery.beCommentator

				},
				method : 'POST',
				success : function(data) {
					console.log("评论发表成功");
					petKiki.closeModal('.picker-modal.modal-in');
					$$('#find-pet-comment').prepend(commmentCardTemplate(data.comment));
				},
				beforeSend : window.Auto517.Ajax.beforeSendFun,
				error : window.Auto517.Ajax.errorFun,
				complete : window.Auto517.Ajax.completeFun,
			});

		});
	},
	//根据狗的生日获取年龄
	'getDogAge' : function(birthday) {
		var birthStr = birthday.replace(/-/g, '/');
		var birthDay = new Date(birthStr).getTime();
		var now = new Date().getTime();

		var hours = (now - birthDay) / 1000 / 60 / 60;
		var year = Math.floor(hours / (24 * 30 * 12));
		hours = hours % (24 * 30 * 12);
		var months = Math.floor(hours / (24 * 30));
		hours = hours % (24 * 30);
		var days = Math.floor(hours / (24));

		if (year > 0) {
			return year + '岁';
		} else if (months > 0) {
			return months + '个月';
		} else {
			return '1个月';
		}
	},
	'chooseLocationPage' : function(obj) {
		mainView.router.loadPage('html/discovery/chooseLocation.html?oldLocation=' + $$(obj).find('input[id=chooseLocation]').val());
	},
	//点击定位的回调
	'locationCallBack' : function(jsonObj) {
		$$('.choose-pet-search-inner').attr('value', jsonObj.address);
	},
	//支付酬金时，输入框与按钮text联动
	'setPayButtonValue' : function(dom) {
		$$('#petSurePay').text('确认支付' + $$(dom).val() + '元');
	},
	//微信支付成功回调函数
	'wxPayCallBack' : function(params, flag) {
		mainView.router.loadPage('html/discovery/list_discovery.html');
	},
	//地址解析回调函数
	'addressConvert' : function(address, params) {
		if (params.status == true) {
			$$('#lostLon').attr('value', params.lon);
			$$('#lostLat').attr('value', params.lat);
			$$('#chooseLocation').attr('value', address);
		} else {
			$$('#chooseLocation').attr('value', address);
			toast.show('请输入包含:市、区的详细地址');
		}
	},
	/**
	 * 初始化图片浏览器
	 */
	'initFindPhotoBrowser' : function(domEle) {
		var photoArr = [];
		domEle.find('img').each(function() {
			photoArr.push(this.src);
		});
		Disvovery.findPhotoBrowser = petKiki.photoBrowser({
			photos : photoArr,
			theme : 'dark',
			toolbar : false,
			iconsColor : 'pink'
		});
	},
	//调用手机摄像头上传寻得狗的照片
	'invokeDogCamera' : function() {
		//
		api.getPicture({
			sourceType : 'camera',
			encodingType : 'jpg',
			mediaValue : 'pic',
			destinationType : 'base64',
			allowEdit : false,
			quality : 100,
			targetWidth : 500,
			targetHeight : 500,
			saveToPhotoAlbum : false
		}, function(ret, err) {
			if (ret) {
				if (ret.base64Data != '') {
					window.Auto517.Ajax.ajaxBus({
						method : 'post',
						url : globalVar.serverAddress + '/findPetNotice/uploadFindPetImage.jhtml?fromChannel=app',
						data : {
							c_userid : globalVar.uuid,
							c_photo : ret.base64Data,
							address : globalVar.location.address
						},
						dataType : 'json',
						timeout : 150000,
						success : function(data) {
							console.log('寻宠拍照返回：' + JSON.stringify(data));
							var dogImg = '';
							dogImg += '<div style="float:left;position: relative;">';
							dogImg += '<div class="pet-file_bar">';
							dogImg += '<span class="pet-file_del" data-index="0" title="删除" onclick="Disvovery.removePictureDom(this);">';
							dogImg += '<i class="iconfont">&#xe609;</i>';
							dogImg += '</span>';
							dogImg += '</div>';
							dogImg += '<img class="pet-single-image" style="height:20vw;width:20vw;" onclick="Disvovery.findPhotoBrowser.open()" src="' + globalVar.serverAddress + '/upload/' + data.c_photo + '" name="' + data.c_photo + '" alt="">';
							dogImg += '</div>';

							$$('#findDogArea').prepend(dogImg);

							var imgdom = $$('#findDogArea').find('img');
							var div_height = 25;
							if (imgdom.length > 3) {
								div_height = 25 * Math.ceil((imgdom.length + 1) / 4);
							}
							$('#findDogArea').height(div_height + 'vw');

							Disvovery.initFindPhotoBrowser($$('#findDogArea'));
						},
						beforeSend : window.Auto517.Ajax.beforeSendFun,
						error : window.Auto517.Ajax.errorFun,
						complete : window.Auto517.Ajax.completeFun,
					});
				}

			} else {
				if (ret != undefined) {
					alert("相机打开失败,请检查权限!");
				}
			}
		});
	},
	//调用手机摄像头上传寻得合影
	'invokeGroupCamera' : function() {
		//
		api.getPicture({
			sourceType : 'camera',
			encodingType : 'jpg',
			mediaValue : 'pic',
			destinationType : 'base64',
			allowEdit : false,
			quality : 100,
			targetWidth : 500,
			targetHeight : 500,
			saveToPhotoAlbum : false
		}, function(ret, err) {
			if (ret) {
				if (ret.base64Data != '') {
					window.Auto517.Ajax.ajaxBus({
						method : 'post',
						url : globalVar.serverAddress + '/findPetNotice/uploadFindPetImage.jhtml?fromChannel=app',
						data : {
							c_userid : globalVar.uuid,
							c_photo : ret.base64Data,
							address : globalVar.location.address
						},
						dataType : 'json',
						timeout : 150000,
						success : function(data) {
							console.log('寻宠拍照返回：' + JSON.stringify(data));
							$$('#findGroupPhoto').attr('src', globalVar.serverAddress + '/upload/' + data.c_photo);
							$$('#findGroupPhoto').attr('name', data.c_photo);
							Disvovery.initFindPhotoBrowser($$('#groupPhotoArea'));
							$$('#findGroupPhoto').show();
						},
						beforeSend : window.Auto517.Ajax.beforeSendFun,
						error : window.Auto517.Ajax.errorFun,
						complete : window.Auto517.Ajax.completeFun,
					});
				}

			} else {
				if (ret != undefined) {
					alert("相机打开失败,请检查权限!");
				}
			}
		});
	},

	/**
	 * 发现页面加载列表数据
	 * @param {Object} flag  1:页面初始化 2:下拉刷新呢 3:无限加载
	 * timemark 时间戳
	 */
	'loadDiscoveryData' : function(flag, timemark) {
		window.Auto517.Ajax.ajaxBus({
			url : globalVar.serverAddress + '/findPetNotice/listFindPetInfo.jhtml?fromChannel=app',
			dataType : 'json',
			timeout : 150000,
			data : {
				c_userid : globalVar.uuid,
				timemark : timemark,
				c_longitude_n : globalVar.location.lon,
				c_latitude_n : globalVar.location.lat
			},
			method : 'POST',
			success : function(data) {
				var discoveryList = data._rows;
				var itemHTML = '';
				if (discoveryList.length > 0) {
					var currentDt = new Date().Format("yyyy-MM-dd hh:mm:ss");
					for (var i = 0; i < discoveryList.length; i++) {
						itemHTML += '<a href="html/discovery/viewDiscovery.html?c_noticeid=' + discoveryList[i].c_id + '&userid=' + discoveryList[i].c_userid + '" class="item-link">';
						itemHTML += '<input type="hidden" name="c_createtime" value="' + discoveryList[i].c_createtime + '"/>';
						itemHTML += '<div class="discovery-card">';
						itemHTML += '<div class="seal"><img class="seal-logo" src="image/guarantee.png" /></div>';
						itemHTML += '<div class="discovery-card-header">';
						itemHTML += '<div class="discovery-avatar"><img src="' + globalVar.serverAddress + '/upload/' + discoveryList[i].c_headimge + '" /></div>';
						itemHTML += '<div class="discovery-name">' + discoveryList[i].c_nickname + '</div>';
						if (discoveryList[i].c_status == '5') {
							itemHTML += '<div class="discovery-label label-yellow"><span class="text">已寻回</span></div>';
						} else {
							itemHTML += '<div class="discovery-label label-red"><span class="text">寻宠中</span></div>';
						}

						itemHTML += '<div class="discovery-money"><span class="money-des">酬金¥</span><span class="money-number">' + discoveryList[i].c_money + '</span></div>';
						itemHTML += '</div>';
						itemHTML += '<div class="discovery-card-content">';
						itemHTML += '<div class="des-text">' + discoveryList[i].c_content + '</div>';
						itemHTML += '<div class="des-picture">';
						itemHTML += '<div class="row">';
						var imgs = discoveryList[i].picture;
						if (imgs.length > 0) {
							if (imgs[0] != null) {
								itemHTML += '<div class="des-img" style="background-image:url(' + globalVar.serverAddress + '/upload/' + imgs[0].c_smallpicture + ')"></div>';
							} else {
								itemHTML += '<div class="des-img"></div>';
							}
							if (imgs[1] != null) {
								itemHTML += '<div class="des-img" style="background-image:url(' + globalVar.serverAddress + '/upload/' + imgs[1].c_smallpicture + ')"></div>';
							} else {
								itemHTML += '<div class="des-img"></div>';
							}
							if (imgs[2] != null) {
								itemHTML += '<div class="des-img" style="background-image:url(' + globalVar.serverAddress + '/upload/' + imgs[2].c_smallpicture + ')"></div>';
							} else {
								itemHTML += '<div class="des-img"></div>';
							}
						}
						itemHTML += '</div>';
						itemHTML += '</div>';
						itemHTML += '</div>';
						itemHTML += '<div class="discovery-card-footer">';
						itemHTML += '<div class="footer-left"><i class="iconfont discovery-heart-icon">&#xe60d;</i><span class="pet-footer-data">' + discoveryList[i].c_carenum + '</span></div>';
						itemHTML += '<div class="footer-left"><i class="iconfont discovery-eye-icon">&#xe61c;</i><span class="pet-footer-data">' + discoveryList[i].c_browsenum + '</span></div>';
						itemHTML += '<div class="footer-left"><i class="iconfont discovery-message-icon">&#xe608;</i><span class="pet-footer-data">' + discoveryList[i].c_commentnum + '</span></div>';
						itemHTML += '<div class="footer-right"><i class="iconfont discovery-time-icon">&#xe60b;</i><span class="pet-footer-data">' + Auto517.Date.getDiffLabel(discoveryList[i].c_createtime, currentDt) + '</span></div>';
						itemHTML += '<div class="footer-right"><i class="iconfont discovery-location-icon">&#xe601;</i><span class="pet-footer-data">' + discoveryList[i].distance + '</span></div>';
						itemHTML += '</div>';
						itemHTML += '</div>';
						itemHTML += '</a>';
					}
				}
				if (flag == 3) {
					$$('#discoveryListData').append(itemHTML);
				} else {
					$$('#discoveryListData').html(itemHTML);
				}
			},
			error : window.Auto517.Ajax.errorFun,
			complete : function(xhr, status) {
				if (flag == 3) {
					$$('.infinite-scroll-preloader').hide();
				}

			},
		});
	},
	/**
	 * 关注／取消关注
	 *  noticeId 寻宠记录的ID
	 *  flag( 1关注  0取消关注)
	 */
	'setCare' : function(noticeId, flag) {
		if (globalVar.uuid == null) {
			petKiki.confirm('马上去注册／登录？', '登录后才能关注', function() {
				mainView.router.loadPage("html/user/login.html");
			});
		} else {
			window.Auto517.Ajax.ajaxBus({
				url : globalVar.serverAddress + '/findpetcare/careOrCancelNotice.jhtml?fromChannel=app',
				dataType : 'json',
				timeout : 150000,
				data : {
					c_userid : globalVar.uuid,
					c_noticeid : noticeId,
					flag : flag
				},
				method : 'POST',
				success : function(data) {
					if (flag == 1) {
						$$('#findPetCare').html('<div onclick="Disvovery.setCare(' + noticeId + ', 0)"><i class="iconfont" style="font-size: 18px;">&#xe60d;</i>已关注</div>');
						$('#findPetCare').removeClass('bounceIn animated').addClass('bounceIn animated').one('webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend', function() {
							$(this).removeClass('bounceIn animated');
						});
					} else {
						$$('#findPetCare').html('<div onclick="Disvovery.setCare(' + noticeId + ', 1)"><i class="iconfont" style="font-size: 18px;">&#xe61b;</i>未关注</div>');
					}

				},
				beforeSend : window.Auto517.Ajax.beforeSendFun,
				error : window.Auto517.Ajax.errorFun,
				complete : window.Auto517.Ajax.completeFun,
			});
		}

	},
	/**
	 * 确认寻得删除狗狗照片
	 */
	'removePictureDom' : function(ele) {
		var photoArea = $$(ele).parent().parent();

		photoArea.remove();
		var imgdom = $$('#findDogArea').find('img');
		var div_height = 25;
		if (imgdom.length > 3) {
			div_height = 25 * Math.ceil((imgdom.length + 1) / 4);
		}
		$('#findDogArea').height(div_height + 'vw');
		Disvovery.initFindPhotoBrowser(photoArea);
	},

	/**
	 * 上传寻宠照片
	 */
	'uploadFindDogAjax' : function(base64Data) {
		window.Auto517.Ajax.ajaxBus({
			method : 'post',
			url : globalVar.serverAddress + '/findPetNotice/uploadFindPetImage.jhtml?fromChannel=app',
			data : {
				c_userid : globalVar.uuid,
				c_photo : base64Data,
				address : globalVar.location.address
			},
			dataType : 'json',
			timeout : 150000,
			success : function(data) {
				var dogImg = '';
				dogImg += '<div style="float:left;position: relative;">';
				dogImg += '<div class="pet-file_bar">';
				dogImg += '<span class="pet-file_del" data-index="0" title="删除" onclick="Disvovery.removePictureDom(this);">';
				dogImg += '<i class="iconfont">&#xe609;</i>';
				dogImg += '</span>';
				dogImg += '</div>';
				dogImg += '<img class="pet-single-image" style="height:20vw;width:20vw;" src="' + globalVar.serverAddress + '/upload/' + data.c_photo + '" name="' + data.c_photo + '" alt="">';
				dogImg += '</div>';

				$$('#findDogArea').prepend(dogImg);

				var imgdom = $$('#findDogArea').find('img');
				var div_height = 25;
				if (imgdom.length > 3) {
					div_height = 25 * Math.ceil((imgdom.length + 1) / 4);
				}
				$('#findDogArea').height(div_height + 'vw');
			},
			beforeSend : window.Auto517.Ajax.beforeSendFun,
			error : window.Auto517.Ajax.errorFun,
			complete : window.Auto517.Ajax.completeFun,
		});
	},
	/**
	 * 发布寻宠选择照片
	 */
	"getFindDogPicture" : function() {

		var buttons1 = [{
			text : '拍照',
			onClick : function() {
				//
				api.getPicture({
					sourceType : 'camera',
					encodingType : 'jpg',
					mediaValue : 'pic',
					destinationType : 'base64',
					allowEdit : false,
					quality : 100,
					targetWidth : 500,
					targetHeight : 500,
					saveToPhotoAlbum : false
				}, function(ret, err) {
					if (ret != undefined) {
						if (ret.base64Data != '') {
							Disvovery.uploadFindDogAjax(ret.base64Data);
						}

					} else {
						if (ret != undefined) {
							alert("相机打开失败,请检查权限!");
						}
					}
				});
			}
		}, {
			text : '从手机相册选择',
			onClick : function() {
				//
				api.getPicture({
					sourceType : 'album',
					encodingType : 'jpg',
					mediaValue : 'pic',
					destinationType : 'base64',
					allowEdit : false,
					quality : 100,
					targetWidth : 500,
					targetHeight : 500,
					saveToPhotoAlbum : false
				}, function(ret, err) {
					if (ret != undefined) {
						if (ret.base64Data != '') {
							Disvovery.uploadFindDogAjax(ret.base64Data);
						}
					} else {
						if (ret != undefined) {
							alert("相机打开失败,请检查权限!");
						}
					}
				});
			}
		}];
		var buttons2 = [{
			text : '取消',
		}];
		var groups = [buttons1, buttons2];
		petKiki.actions(groups);
	}
}

/**
 * 寻宠列表
 */
petKiki.onPageInit('list_discovery', function(page) {
	//绑定去发布链接，同时判断用户是否登录
	$$('#goPublish').on('click', function(e) {
		if (globalVar.uuid == null && (window.localStorage.getItem('uuid') == null || window.localStorage.getItem('uuid') == '')) {
			petKiki.confirm('去注册／登录?', '登录后才能发布寻宠信息', function() {
				mainView.router.loadPage("html/user/login.html");
			});
		} else {
			mainView.router.loadPage('html/discovery/publish.html');
		}
	});

	//初始化列表
	Disvovery.loadDiscoveryData(1, null);

	// 下拉刷新监听器
	$$('#refreshDiscovery').on('refresh', function(e) {
		// 模拟2s的加载过程
		$$('.pull-loader').css('display', 'block');
		setTimeout(function() {
			Disvovery.loadDiscoveryData(2, null);
			// 加载完毕需要重置
			petKiki.pullToRefreshDone();
			$$('.pull-loader').css('display', 'none');
		}, 2000);
	});

	// 加载flag
	var loading = false;
	// 最多可加载的条目
	var maxItems = 1000;
	// 注册'infinite'事件处理函数
	$$('#list_discovery').on('infinite', function() {
		$$('.infinite-scroll-preloader').show();
		// 如果正在加载，则退出
		if (loading)
			return;
		// 设置flag
		loading = true;
		// 模拟1s的加载过程
		setTimeout(function() {
			// 上次加载的序号
			var lastIndex = $$('#discoveryListData>a').length;
			// 重置加载flag
			loading = false;
			if (lastIndex >= maxItems) {
				// 加载完毕，则注销无限加载事件，以防不必要的加载
				petKiki.detachInfiniteScroll($$('#refreshDiscovery'));
				// 删除加载提示符
				$$('.infinite-scroll-preloader').remove();
				return;
			}

			// 时间戳c_createtime
			var lastEle = $$("#discoveryListData").children("a:last-child");
			var lastEleTime = lastEle.find('input[name=c_createtime]').val();
			//			console.log(lastEle.html());
			//			console.log(lastEleTime);
			// 生成新条目的HTML
			Disvovery.loadDiscoveryData(3, lastEleTime);

			// 更新最后加载的序号
			lastIndex = $$('#discoveryListData>a').length;
		}, 1000);
	});
	//
	$$('.center').on('click', scrollTop);
});

/**
 * 发布寻宠
 */
petKiki.onPageInit('publish', function(page) {
	var dogs = ('哈士奇 藏獒 贵宾犬 松狮 边境牧羊犬 吉娃娃 德国牧羊犬 秋田犬 蝴蝶犬 博美犬 杜宾犬 柴犬 大丹犬 卡斯罗 法国斗牛犬 罗威纳犬 英国斗牛犬 萨摩耶犬 阿富汗猎犬 腊肠犬 巴哥犬 西施犬 大白熊犬 圣伯纳犬 金毛寻回犬 法老王猎犬 斗牛梗 阿拉斯加雪橇犬 马尔济斯犬 兰波格犬 西高地白梗 比利时牧羊犬 卷毛比雄犬 寻血猎犬 纽芬兰犬 北京犬 猎兔犬 爱尔兰猎狼犬 伯恩山犬 喜乐蒂牧羊犬 波尔多犬 迷你杜宾 惠比特犬 中国冠毛犬 贝灵顿梗 柯利犬 杰克罗素梗 哈瓦那犬 苏格兰梗 拉布拉多寻回犬 大麦町犬 美国爱斯基摩犬 苏俄猎狼犬 万能梗 波音达 刚毛猎狐梗 葡萄牙水犬 波利犬 约克夏梗 拉萨犬 中国沙皮犬 卡迪根威尔士柯基犬 波士顿梗 比格猎犬 古代英国牧羊犬 英国可卡犬 小型雪纳瑞犬 美国可卡犬 巴吉度犬 西藏猎犬 马士提夫獒犬 凯利蓝梗 斗牛獒犬 法国狼犬 澳大利亚牧羊犬 彭布罗克威尔士柯基犬 英国猎狐犬 丝毛梗 匈牙利牧羊犬 拳狮犬 山地犬 罗得西亚脊背犬 西藏梗 湖畔梗 爱尔兰雪达犬 瑞典柯基犬 芬兰拉普猎犬 德国宾莎犬 库瓦兹犬 奇努克犬 巨型雪纳瑞犬 萨路基猎犬 维希拉猎犬 澳大利亚牧牛犬 威尔士梗 格雷伊猎犬 普罗特猎犬 墨西哥无毛犬 短毛猎狐梗 小型斗牛梗 斯塔福郡斗牛梗 意大利灰狗 威玛犬 荷兰毛狮犬 爱尔兰水猎犬 美国猎狐犬 冰岛牧羊犬 安纳托利亚牧羊犬 帕尔森罗塞尔梗 英国跳猎犬 短脚长身梗 爱尔兰梗 挪威伦德猎犬 西帕基犬 挪威猎鹿犬 波兰低地牧羊犬 黑俄罗斯梗 苏格兰猎鹿犬 挪威梗 爱尔兰红白雪达犬 大瑞士山地犬 罗秦犬 那不勒斯獒 捷克梗 比利时马林诺斯犬 标准型雪纳瑞犬 德国短毛波音达 锡利哈姆梗 红骨猎浣熊犬 巴仙吉犬 戈登雪达犬 诺福克梗 骑士查理王小猎犬 小型葡萄牙波登可犬 美国斯塔福郡梗 切萨皮克海湾寻回犬 粗毛柯利犬 日本忡 玩具曼彻斯特犬 比利时特伏丹犬 玩具猎狐梗 澳大利亚梗 芬兰波美拉尼亚丝毛狗 猎水獭犬 爱尔兰峡谷梗 挪威布哈德犬 爱尔兰软毛梗 卷毛寻回犬 猴头梗 英国玩具犬 迦南犬 弗莱特寻回犬 黑褐猎浣熊犬 布雷猎犬 德国硬毛波音达 布鲁塞尔格里芬犬 西班牙小猎犬 布列塔尼犬 美国水猎犬 史毕诺犬 树丛浣熊猎犬 波兰德斯布比野犬 比利牛斯牧羊犬 美国英国猎浣熊犬 伊比赞猎犬 凯斯梗 布鲁克浣熊猎犬 迷你贝吉格里芬凡丁犬 新斯科舍猎鸭寻猎犬 捕鼠梗 威尔士跳猎犬 田野小猎犬 英格兰雪达犬 博得猎狐犬 苏塞克斯猎犬 博伊金猎犬 硬毛指示格里芬犬').split(' ');
	// Simple Dropdown
	var autocompleteDropdownSimple = petKiki.autocomplete({
		input : '#autocomplete-dog',
		openIn : 'dropdown',
		source : function(autocomplete, query, render) {
			var results = [];
			if (query.length === 0) {
				render(results);
				return;
			}
			// Find matched items
			for (var i = 0; i < dogs.length; i++) {
				if (dogs[i].toLowerCase().indexOf(query.toLowerCase()) >= 0)
					results.push(dogs[i]);
			}
			// Render items by passing array with result items
			render(results);
		}
	});

	var pickerAge = petKiki.picker({
		input : '#pet-picker-age',
		rotateEffect : true,
		formatValue : function(p, values) {
			return values;
		},
		toolbarTemplate : '<div class="toolbar toolbarStyle">' + '<div class="toolbar-inner toolbarInner">' + '<div class="left">' + '<a href="#" class="link close-picker" style="padding-left: 10px;width:106px;"><div><span>取消</span></div></a>' + '</div>' + '<div class="right">' + '<a href="#" class="link close-picker" style="width:47px;"><div><span>完成</span></div></a>' + '</div>' + '</div>' + '</div>',
		cols : [{
			textAlign : 'center',
			values : ['1个月', '2个月', '3个月', '4个月', '5个月', '6个月', '7个月', '8个月', '9个月', '10个月', '11个月', '1岁', '2岁', '3岁', '4岁', '5岁', '6岁', '7岁', '8岁', '9岁', '10岁', '11岁', '12岁', '13岁', '14岁', '15岁', '16岁', '17岁', '18岁', '19岁', '20岁', '21岁', '22岁', '23岁', '24岁', '25岁', '26岁', '27岁', '28岁', '29岁', '30岁']
		}]
	});
	var pickerSex = petKiki.picker({
		input : '#pet-picker-sex',
		rotateEffect : true,
		formatValue : function(p, values) {
			return values;
		},
		toolbarTemplate : '<div class="toolbar toolbarStyle">' + '<div class="toolbar-inner toolbarInner">' + '<div class="left">' + '<a href="#" class="link close-picker" style="width:106px;padding-left: 10px;"><div class="toolbardiv"><span class="toolbarspan">取消</span></div></a>' + '</div>' + '<div class="right">' + '<a href="#" class="link close-picker" style="width:47px;"><div class="toolbardivback"><span class="toolbarspanback">完成</span></div></a>' + '</div>' + '</div>' + '</div>',
		cols : [{
			textAlign : 'center',
			values : ['男宠', '女宠']
		}]
	});

	var today = new Date();
	var pickerStartTime = petKiki.picker({
		input : '#pet-piker-time',
		rotateEffect : true,
		toolbarTemplate : '<div class="toolbar toolbarStyle">' + '<div class="toolbar-inner toolbarInner">' + '<div class="left">' + '<a href="#" class="link close-picker" style="padding-left: 10px;width:106px;"><div><span>取消</span></div></a>' + '</div>' + '<div class="right">' + '<a href="#" class="link close-picker" style="width:47px;"><div><span>完成</span></div></a>' + '</div>' + '</div>' + '</div>',
		value : [today.getFullYear(), today.getMonth(), today.getDate(), today.getHours(), (today.getMinutes() < 10 ? '0' + today.getMinutes() : today.getMinutes())],

		onChange : function(picker, values, displayValues) {
			var daysInMonth = new Date(picker.value[0], picker.value[1] * 1 + 1, 0).getDate();
			if (values[2] > daysInMonth) {
				picker.cols[2].setValue(daysInMonth);
			}
		},

		formatValue : function(p, values, displayValues) {
			var year = values[0];
			var month = parseInt(values[1]) + 1;
			if (month < 10) {
				month = '0' + month;
			} else {
				month = month;
			}
			var day = values[2];
			if (day < 10) {
				day = '0' + day;
			} else {
				day = day;
			}
			var hour = values[3];
			if (hour < 10) {
				hour = '0' + hour
			} else {
				hour = hour;
			}
			var minute = values[4];

			minute = minute;

			return year + '年' + month + '月' + day + '日 ' + hour + ':' + minute;
		},

		cols : [
		// Years
		{
			values : (function() {
				var arr = [];
				for (var i = 1950; i <= 2030; i++) {
					arr.push(i);
				}
				return arr;
			})(),
		},
		// Months
		{
			values : ('0 1 2 3 4 5 6 7 8 9 10 11').split(' '),
			displayValues : ('1月 2月 3月 4月 5月 6月 7月 8月 9月 10月 11月 12月').split(' '),
			textAlign : 'left'
		},
		// Days
		{
			values : (function() {
				var arr = [];
				for (var i = 1; i <= 31; i++) {
					arr.push(i);
				}
				return arr;
			})(),
			displayValues : (function() {
				var arr = [];
				for (var i = 1; i <= 31; i++) {
					arr.push(i + '日');
				}
				return arr;
			})(),

		}, {
			values : (function() {
				var arr = [];
				for (var i = 0; i <= 23; i++) {
					arr.push(i);
				}
				return arr;
			})(),
		},
		// Divider
		{
			divider : true,
			content : ':'
		},
		// Minutes
		{
			values : (function() {
				var arr = [];
				for (var i = 0; i <= 59; i++) {
					arr.push(i < 10 ? '0' + i : i);
				}
				return arr;
			})(),
		}]
	});

	$$('#cameraDogBtn').on('click', function() {
		Disvovery.getFindDogPicture();
	});

	//初始化上传插件
	//	$("#pet-publish-upload").h5ImageUpload({
	//		itemWidth: "20vw", // 文件项的宽度
	//		itemHeight: "20vw", // 文件项的高度
	//		multiple: true, // 是否可以多个文件上传
	//	});
	//绑定“确认发布”按钮事件
	$$('#pet-sure-publish').on('click', function(e) {
		//宠物ID
		var c_petid = $$('#choose-pet-name').val();
		//年龄
		var c_petage = $$('#pet-picker-age').val();
		//寻宠ID
		var c_noticeid = $$('#publishOid').val();
		//订单号
		var c_ordernum = $$('#publishOrderId').val();
		//品种
		var c_petvariety = utf16toEntities($$('#autocomplete-dog').val());
		//性别
		var c_petsex = '1';
		if ($$('#pet-picker-sex').val() == '女宠') {
			c_petsex = '2';
		}
		//丢失位置
		var c_adddress = $$('#chooseLocation').val();
		//经度
		var c_longitude = $$('#lostLon').val();
		//纬度
		var c_latitude = $$('#lostLat').val();
		//丢失时间
		var strDate = $$('#pet-piker-time').val();
		var year = strDate.substring(0, 4);
		var month = strDate.substring(5, 7);
		var day = strDate.substring(8, 10);
		var hour = strDate.substring(12, 14);
		var min = strDate.substring(15, strDate.length);
		var miao = '00';
		var c_happentime = year + '-' + month + '-' + day + ' ' + hour + ':' + min + ':' + miao;
		//联系电话
		var c_contacttel = $$('#publishPhone').val();
		//备注
		var c_content = utf16toEntities($$('#publishMark').val());
		//上传的图片
		var file_data = p_image_uploader.uploadFile;

		if (c_petid == null || c_petid == 0) {
			toast.show('请选择宠物');
			return false;
		}
		if (c_petvariety.length > 15) {
			toast.show('狗狗品种最多输入15个字');
			return false;
		}
		if (c_longitude == 0 || c_latitude == 0) {
			toast.show('请填写精确的丢失位置');
			return false;
		}
		if (c_happentime == null || c_happentime == '') {
			toast.show('请选择丢失时间');
			return false;
		}
		if (!User.vertifyCellphone(c_contacttel)) {
			toast.show("请输入正确的联系方式");
			return false;
		}
		if (c_content == null || c_content == '') {
			toast.show('请在备注中填写寻宠启示');
			return false;
		}
		if (c_content.length > 1024) {
			toast.show('备注字数过多');
			return false;
		}
		//		if(file_data.length <= 1) {
		//			toast.show('请上传狗狗的照片以及狗狗与主人的合影');
		//			return false;
		//		}
		//		if(file_data.length > 9) {
		//			toast.show('最多上传9张照片');
		//			return false;
		//		}
		var images = '';
		var imgdom = $$('#findDogArea').find('img');
		if (imgdom.length > 9) {
			toast.show('最多上传9张照片');
			return false;
		}
		if (imgdom.length <= 1) {
			toast.show('请上传狗狗的照片以及狗狗与主人的合影');
			return false;
		}
		//收集照片
		imgdom.each(function() {
			console.log(this.name);
			images += this.name + ',';
		});
		if (images == '') {
			toast.show('请上传狗狗的照片以及狗狗与主人的合影');
			return false;
		} else {
			images = images.substr(0, images.length - 1);
		}

		var form_data = new FormData();
		form_data.append('c_userid', globalVar.uuid);
		form_data.append('c_petid', c_petid);
		form_data.append('c_petage', c_petage);
		form_data.append('c_noticeid', c_noticeid);
		form_data.append('c_petvariety', c_petvariety);
		form_data.append('c_petsex', c_petsex);
		form_data.append('c_adddress', c_adddress);
		form_data.append('c_longitude', c_longitude);
		form_data.append('c_latitude', c_latitude);
		form_data.append('c_happentime', c_happentime);
		form_data.append('c_contacttel', c_contacttel);
		form_data.append('c_content', c_content);
		form_data.append('c_ordernum', c_ordernum);
		form_data.append('c_photo', images);

		//		for(var i = 0; i < file_data.length; i++) {
		//			form_data.append("img_" + i, file_data[i]);
		//		}
		window.Auto517.Ajax.ajaxBus({
			dataType : 'json',
			method : 'post',
			url : globalVar.serverAddress + '/findPetNotice/addFindPetInfo.jhtml?fromChannel=app',
			processData : false,
			contentType : false,
			data : form_data,
			success : function(data) {
				console.log('保存寻宠信息：' + JSON.stringify(data));
				if (data.status == '1') {
					toast.show('此狗狗正在寻找中，不要重复发布');
				} else {
					$$('#publishOid').attr('value', data.c_noticeid);
					$$('#publishOrderId').attr('value', data.c_ordernum);
					mainView.router.loadPage('html/discovery/publishPay.html?orderId=' + data.c_ordernum + '&productId=' + data.c_noticeid);
				}

			},
			beforeSend : window.Auto517.Ajax.beforeSendFun,
			error : window.Auto517.Ajax.errorFun,
			complete : window.Auto517.Ajax.completeFun,
		});
	});

});

/**
 * 查看寻宠详情
 */
petKiki.onPageInit('viewDiscovery', function(page) {
	var oid = page.query.c_noticeid;
	var userid = page.query.userid;

	Disvovery.noticeId = oid;
	window.Auto517.Ajax.ajaxBus({
		url : globalVar.serverAddress + '/findPetNotice/getFindPetDetail.jhtml?fromChannel=app',
		dataType : 'json',
		timeout : 150000,
		data : {
			c_userid : globalVar.uuid,
			c_noticeid : oid,
			c_longitude_n : globalVar.location.lon,
			c_latitude_n : globalVar.location.lat
		},
		type : 'get',
		success : function(data) {
			var currentDt = new Date().Format("yyyy-MM-dd hh:mm:ss");
			//寻宠启示
			var caption = data.notice.c_content;
			var petSex = data.notice.c_petsex;
			var isCare = data.careFlag;

			//寻宠基本信息
			var baseInfo = '';
			baseInfo += '<div class="pet-title-card discovery-card">';
			baseInfo += '<div class="discovery-card-header">';
			baseInfo += '<div class="discovery-avatar"><img src="' + globalVar.serverAddress + '/upload/' + data.notice.c_headimge + '" /></div>';
			baseInfo += '<div class="discovery-detail-cardtitle"><span>' + data.notice.c_nickname + '</span>';
			baseInfo += '<div class="discovery-detail-lefttitle" id="findPetCare">';
			if (isCare == "1") {
				baseInfo += '<div onclick="Disvovery.setCare(' + oid + ', 0)"><i class="iconfont" style="font-size: 18px;">&#xe60d;</i>已关注</div>';
			} else {
				baseInfo += '<div onclick="Disvovery.setCare(' + oid + ', 1)"><i class="iconfont" style="font-size: 18px;">&#xe61b;</i>未关注</div>';
			}
			baseInfo += '</div></div>';
			baseInfo += '<div class="discovery-detail-cardsubtitle"><span>' + data.notice.petName + '｜' + data.notice.c_petage + '｜' + data.notice.c_petvariety + '</span>';
			if (petSex == '1') {
				baseInfo += '<i class="iconfont pet-detail-bule-style">&#xe607;</i></div></div>';
			} else {
				baseInfo += '<i class="iconfont pet-detail-red-style">&#xe606;</i></div></div>';
			}

			baseInfo += '<div class="discovery-card-footer">';
			baseInfo += '<div class="footer-left"><i class="iconfont discovery-eye-icon">&#xe61c;</i><span class="pet-footer-data">' + data.notice.c_browsenum + '</span></div>';
			baseInfo += '<div class="footer-left"><i class="iconfont discovery-message-icon">&#xe608;</i><span class="pet-footer-data">' + data.notice.c_commentnum + '</span></div>';
			baseInfo += '<div class="footer-right"><i class="iconfont discovery-time-icon">&#xe60b;</i><span class="pet-footer-data">' + Auto517.Date.getDiffLabel(data.notice.c_createtime, currentDt) + '</span></div>';
			baseInfo += '<div class="footer-right"><i class="iconfont discovery-location-icon">&#xe601;</i><span class="pet-footer-data">' + data.notice.distance + '</span></div>';
			baseInfo += '</div>';
			baseInfo += '</div>';

			var pictureNumber = data.picture.length;
			baseInfo += '<div class="pet-detail-card">';
			baseInfo += '<div class="card-detail-content">';

			if (pictureNumber > 0) {
				baseInfo += '<div style="background-image:url(' + globalVar.serverAddress + '/upload/' + data.picture[0].c_picture + ')" valign="bottom" class="card-bigphoto">';
				baseInfo += '<div class="img-total">' + pictureNumber + '张</div>';
				baseInfo += '</div>';
			}
			baseInfo += '</div>';
			baseInfo += '<div class="card-detail-footer">';
			baseInfo += '<div class="row">';
			baseInfo += '<div class="col-50">';
			baseInfo += '<div class="card-detail-seal"><img class="seal-logo" src="image/guarantee.png" /></div>';
			baseInfo += '<div class="detail-money"><span class="detail-money-desc">酬金¥</span><span class="detail-money-num">' + data.notice.c_money + '</span></div>';
			baseInfo += '</div>';
			baseInfo += '<div class="col-50">';
			if (data.notice.c_status == '5') {
				baseInfo += '<div class="pet-btn-findover">已寻回</div>';
			} else {
				baseInfo += '<div class="pet-btn-surefind" id="pet-btn-surefind">确认寻得</div>';
			}

			baseInfo += '</div>';
			baseInfo += '</div>';

			baseInfo += '</div>';
			baseInfo += '</div>';
			baseInfo += '<div class="pet-sortline"></div>';
			baseInfo += '<div class="pet-detail-block">';
			baseInfo += '<div class="row pet-detail-doginfo">';
			baseInfo += '<div class="col-50">品种<span class="pet-info-data">' + data.notice.c_petvariety + '</span></div>';
			baseInfo += '<div class="col-50">年龄<span class="pet-info-data">' + data.notice.c_petage + '</span></div>';
			baseInfo += '</div>';
			baseInfo += '<div class="row pet-detail-doginfo">';
			if (petSex == '1') {
				baseInfo += '<div class="col-50">性别<span class="pet-info-data">男宠</span></div>';
			} else {
				baseInfo += '<div class="col-50">性别<span class="pet-info-data">女宠</span></div>';
			}

			baseInfo += '<div class="col-50">丢失时间<span class="pet-info-data">' + Auto517.Date.getDiffLabel(data.notice.c_happentime, currentDt) + '</span></div>';
			baseInfo += '</div>';
			baseInfo += '<div class="row pet-detail-doginfo">';
			baseInfo += '<div class="col-100">丢失地点<span class="pet-info-data">' + data.notice.c_adddress + '</span></div>';
			baseInfo += '</div>';
			baseInfo += '</div>';
			baseInfo += '<div class="pet-sortline"></div>';
			baseInfo += '<div class="pet-find-description"><span>' + caption + '</span>';
			baseInfo += '</div>';

			$$('#find-pet-info').html(baseInfo);

			var photoBrowserPhotos = [];

			for (var j = 0; j < pictureNumber; j++) {
				photoBrowserPhotos.push({
					url : globalVar.serverAddress + '/upload/' + data.picture[j].c_picture,
					caption : caption
				});
			}

			$$('.card-bigphoto').on('click', function() {
				Disvovery.photoBrowserPopupDark = petKiki.photoBrowser({
					photos : photoBrowserPhotos,
					theme : 'dark',
					iconsColor : 'pink'
				});
				Disvovery.photoBrowserPopupDark.open();
			});
			//绑定“确认寻得”按钮点击事件
			$$('#pet-btn-surefind').on('click', function() {
				if (globalVar.uuid == null && (window.localStorage.getItem('uuid') == null || window.localStorage.getItem('uuid') == '')) {
					petKiki.confirm('马上去注册／登录？', '登录后才能操作', function() {
						mainView.router.loadPage("html/user/login.html");
					});
				} else {
					//获取寻宠进度
					window.Auto517.Ajax.ajaxBus({
						method : 'get',
						url : globalVar.serverAddress + '/findPetNotice/checkStatus.jhtml?fromChannel=app',
						data : {
							c_userid : globalVar.uuid,
							c_noticeid : oid
						},
						dataType : 'json',
						timeout : 150000,
						success : function(data) {
							console.log('点击确认寻得按钮' + JSON.stringify(data));
							if (data.status == '1' || data.status == '2') {
								//只有1、寻宠进行中的记录或2、寻得宠物的人，才能进入确认寻得页面
								mainView.router.loadPage("html/discovery/sureFind.html?c_status=" + data.c_status + '&c_noticeid=' + oid);
							} else {
								toast.show('该宠物已经有人寻得');
							}

						},
						error : window.Auto517.Ajax.errorFun,
					});

				}
			});

			//渲染评论数据
			var commentDATA = data.comment;
			if (commentDATA.length > 0) {
				var commentArea = '';
				for (var k = 0; k < commentDATA.length; k++) {
					commentArea += commmentCardTemplate(commentDATA[k]);
				}
				$$('#find-pet-comment').html(commentArea);
			}

			//绑定拨打失主电话
			$$('#callLoster').on('click', function() {
				if (globalVar.uuid == null && (window.localStorage.getItem('uuid') == null || window.localStorage.getItem('uuid') == '')) {
					petKiki.confirm('马上去注册／登录？', '登录后才能操作', function() {
						mainView.router.loadPage("html/user/login.html");
					});
				} else {
					window.Auto517.Ajax.ajaxBus({
						method : 'get',
						url : globalVar.serverAddress + '/findPetNotice/getIsContact.jhtml?fromChannel=app',
						data : {
							c_userid : globalVar.uuid,
							c_noticeid : oid
						},
						dataType : 'json',
						timeout : 150000,
						success : function(data) {
							if (data.status == '1') {
								Disvovery.callLoster(data.notice.c_contacttel);
							} else {
								 petKiki.alert('<span style="font-size:17px;color:#333">您还未验证二维码</span><br/><span style="font-size:17px;color:#333">暂时无法与狗主人联系</span>');
							}

						},
						error : window.Auto517.Ajax.errorFun,
					});
				}

			});

		},
		beforeSend : window.Auto517.Ajax.beforeSendFun,
		error : window.Auto517.Ajax.errorFun,
		complete : window.Auto517.Ajax.completeFun,
	});

	//绑定直接评论按钮
	$$('#writeComment').on('click', function() {
		Disvovery.popupComment('0', userid);
	});
	//
	$$('.center').on('click', scrollTop);
});

/**
 * 评论模版
 * @param {Object} jsonObj
 */
function commmentCardTemplate(jsonObj) {
	var commentHTML = '';
	commentHTML += '<div class="pet-comment-content">';
	commentHTML += '<div class="row">';
	commentHTML += '<div class="col-80"><img src="' + globalVar.serverAddress + '/upload/' + jsonObj.c_headimge + '"><span class="pet-comment-user">' + jsonObj.c_nickname + '</span></div>';
	if ((parseInt(jsonObj.c_floor) - 1) == 0) {
		commentHTML += '<div class="col-20"><span class="pet-comment-floor">沙发</span></div>';
	} else {
		commentHTML += '<div class="col-20"><span class="pet-comment-floor">' + jsonObj.c_floor + '楼</span></div>';
	}

	commentHTML += '</div>';
	commentHTML += '<div class="pet-comment-text">' + jsonObj.c_content + '</div>';

	var c_userid_p = jsonObj.c_userid_p;
	if (c_userid_p != null) {
		commentHTML += '<div class="pet-comment-talkto">';
		commentHTML += '<div class="talkto-title">｜' + jsonObj.c_nickname_p + ' ' + jsonObj.c_createtime_p + ' 发表在 ' + jsonObj.c_floor_p + '楼</div>';
		commentHTML += '<div class="talkto-content">' + jsonObj.c_content_p + '</div>';
		commentHTML += '</div>';
	}

	commentHTML += '<div class="row pet-comment-footer">';
	commentHTML += '<div class="col-60"><span class="pet-comment-time">' + jsonObj.c_createtime + '</span></div>';
	commentHTML += '<div class="col-40"><span class="pet-comment-answer" onclick="Disvovery.popupComment(' + jsonObj.c_id + ',' + jsonObj.c_userid + ');"><i class="iconfont" style="font-size: 12px;">&#xe608;</i>回复</span></div>';
	commentHTML += '</div>';
	commentHTML += '</div>';
	return commentHTML;
}

/**
 * 选择宠物
 */
petKiki.onPageInit('choosePet', function(page) {
	var petId = page.query.petid;
	window.Auto517.Ajax.ajaxBus({
		method : 'post',
		url : globalVar.serverAddress + '/petdog/listPetDog.jhtml?fromChannel=app',
		data : {
			c_userid : globalVar.uuid
		},
		dataType : 'json',
		timeout : 150000,
		success : function(data) {
			var content = '';
			for (var i = 0; i < data.length; i++) {
				var _petAge = Disvovery.getDogAge(data[i].c_petbirthday);
				var _petId = data[i].c_id;
				content += '<li>';
				content += '<input type="hidden" name="_choosePetAge_' + _petId + '" value="' + _petAge + '"/>';
				content += '<input type="hidden" name="_choosePetType_' + _petId + '" value="' + data[i].c_variety + '"/>';
				content += '<input type="hidden" name="_choosePetGender_' + _petId + '" value="' + data[i].c_gender + '"/>';
				content += '<input type="hidden" name="_choosePetImg_' + _petId + '" value="' + data[i].c_headimge + '"/>';
				content += '<label class="label-checkbox item-content">';
				content += '<input type="radio" id="_choosePetId_' + _petId + '" name="discovery-choose-pet" value="' + _petId + '"/>';
				content += '<div class="item-media"><i class="icon icon-form-checkbox"></i></div>';
				content += '<div class="item-media"><img src="' + globalVar.serverAddress + '/upload/' + data[i].c_headimge + '" width="44"></div>';
				content += '<div class="item-inner">';
				content += '<div class="item-title-row">';
				content += '<div class="item-title choose-pet-title">' + data[i].c_nickname;
				if (data[i].c_gender == '1') {
					content += '<i class="iconfont mars">&#xe607;</i></div>';
				} else {
					content += '<i class="iconfont venus">&#xe606;</i></div>';
				}
				content += '</div>';
				content += '<div class="item-subtitle choose-pet-subtitle"><span>' + data[i].c_variety + '</span><span class="text-separator">' + _petAge + '</span></div>';
				content += '</div>';
				content += '</label>';
				content += '</li>';
			}

			$$('#choosepet-content').html(content);
			if (petId != '0') {
				$$('#_choosePetId_' + petId).attr('checked', 'checked');
			}
		},
		beforeSend : window.Auto517.Ajax.beforeSendFun,
		error : window.Auto517.Ajax.errorFun,
		complete : window.Auto517.Ajax.completeFun,
	});

	$$('#petSureChoose').on('click', function() {
		var currId = $$('.choosePet-list').find("input[type='radio']:checked").val();
		if (currId == undefined || currId == null) {
			toast.show('请选择丢失的宠物');
			return;
		}
		var petName = $$("input[name='_choosePetName_" + currId + "']").val()
		var petAge = $$("input[name='_choosePetAge_" + currId + "']").val();
		var petType = $$("input[name='_choosePetType_" + currId + "']").val();
		var petGender = $$("input[name='_choosePetGender_" + currId + "']").val();
		var petImg = $$("input[name='_choosePetImg_" + currId + "']").val();

		$$('#theChoosedPet').html('<div class="pet-choosed"><img src="' + globalVar.serverAddress + '/upload/' + petImg + '" width="44"></div>');
		$$('#choose-pet-name').hide();
		$$('#choose-pet-name').attr('value', currId);
		$$('#pet-picker-age').attr('value', petAge);
		$$('#autocomplete-dog').attr('value', petType);
		if (petGender == '1') {
			$$('#pet-picker-sex').attr('value', '男宠');
		} else {
			$$('#pet-picker-sex').attr('value', '女宠');
		}
		$$('#choose-pet-link').attr('href', 'html/discovery/choosePet.html?petid=' + currId);
		mainView.router.back();
	});

});

/**
 * 选择丢失地点返回时触发
 */
petKiki.onPageBack('chooseLocation', function(page) {
	var address = $$('.choose-pet-search-inner').val();
	$$('#lostLon').attr('value', '');
	$$('#lostLat').attr('value', '');
	Auto517._bMap.getCoordsFromName(address, Disvovery.addressConvert);
});

/**
 * 选择丢失地点
 */
petKiki.onPageInit('chooseLocation', function(page) {
	var oldLocation = page.query.oldLocation;
	$$('.choose-pet-search-inner').attr('value', oldLocation);
	//点击定位
	$$('#choosePetCurrLocation').on('click', function() {
		if (globalVar.location != null) {
			$$('.choose-pet-search-inner').attr('value', globalVar.location.address);
		} else {
			Auto517._bMap.getCurrentAddress(Disvovery.locationCallBack);
		}
	});
});

/**
 * 发布寻宠支付
 */
petKiki.onPageInit('publishPay', function(page) {
	var orderId = page.query.orderId;
	var productId = page.query.productId;
	$$('#petSurePay').on('click', function() {
		var money = $$('#pay-remuneration').val();
		if (!/^[1-9]\d{2,}$/.test(money)) {
			toast.show('请输入大于100的整数金额');
			return false;
		}
		//将当前金额转换成分
		var fen = parseInt(money) * 100;
		var params = {
			description : '寻宠预付担保金',
			totalFee : fen,
			tradeNo : orderId,
			productId : productId
		}
		Auto517.Weixin.wxPay(params, Disvovery.wxPayCallBack);
	});
});

/**
 * 确认寻得页面
 */
petKiki.onPageInit('sureFind', function(page) {
	//寻宠记录ID
	var c_noticeid = page.query.c_noticeid;

	window.Auto517.Ajax.ajaxBus({
		method : 'post',
		url : globalVar.serverAddress + '/findPetNotice/checkStatus.jhtml?fromChannel=app',
		data : {
			c_noticeid : c_noticeid,
			c_userid : globalVar.uuid,
		},
		dataType : 'json',
		timeout : 150000,
		success : function(data) {
			console.log('初始化确认寻得页面：' + JSON.stringify(data));
			//当前寻宠状态
			var c_status = data.c_status;

			if (c_status == '1') {//寻宠进行中
				//第一步扫描狗身上的二维码
				$$('#find-scan-qrcode').on('click', function() {
					Auto517.FNScanner.openScanner(function(data) {
						if (data.eventType == 'success') {
							var qrurl = data.content;
							var index = qrurl.indexOf('qrcode');
							var code = qrurl.substring(index + 7, qrurl.length);

							window.Auto517.Ajax.ajaxBus({
								method : 'post',
								url : globalVar.serverAddress + '/findPetNotice/compareCode.jhtml?fromChannel=app',
								data : {
									c_noticeid : c_noticeid,
									qrcode : code,
									c_userid : globalVar.uuid,
								},
								dataType : 'json',
								timeout : 150000,
								success : function(data) {
									console.log('寻得扫二维码：' + JSON.stringify(data));
									if (data.status == '3' || data.status == 3) {
										toast.show('宠物已经被寻得');
									}
									if (data.status == '4' || data.status == 4) {
										toast.show('此二维码与丢失的狗狗不匹配');
									}
									if (data.status == '2' || data.status == 2) {
										toast.show('此寻宠启示已经取消发布');
									}
									if (data.status == '1' || data.status == 1) {
										$$('#find-scan-qrcode').hide();
										toast.show('匹配成功，快去上传照片吧');
										mainView.router.refreshPage();
									}
								},
								error : window.Auto517.Ajax.errorFun,
							});
						}
					});
				});

				$$('#find-scan-qrcode').css({
					"background-color" : "#ffa709",
					"border" : "1px solid #ffa709"
				});

			} else if (c_status == '2') {//二维码匹配成功
				//第二步，上传一些狗狗的照片
				$$('#find-uploaddog').on('click', function() {
					mainView.router.loadPage("html/discovery/uploadDogImage.html?c_noticeid=" + c_noticeid);
				});

				$$('#cd-timeline-one-img').addClass('cd-picture-colorful');
				$$('#find-scan-qrcode').hide();
				$$('#find-uploaddog').css({
					"background-color" : "#ffa709",
					"border" : "1px solid #ffa709"
				});
				$$('#find-scan-qrcode-view').show();
			} else if (c_status == '3') {//上传狗照片成功
				//第三步，上传狗与主人的合影
				$$('#find-owneranddog').on('click', function() {
					mainView.router.loadPage("html/discovery/uploadFinderImage.html?c_noticeid=" + c_noticeid);
				});
				$$('#cd-timeline-one-img').addClass('cd-picture-colorful');
				$$('#cd-timeline-tow-img').addClass('cd-picture-colorful');
				$$('#find-scan-qrcode').hide();
				$$('#find-scan-qrcode-view').show();

				$$('#find-uploaddog').hide();
				$$('#find-uploaddog-view').show();

				$$('#find-owneranddog').css({
					"background-color" : "#ffa709",
					"border" : "1px solid #ffa709"
				});
			} else if (c_status == '4') {//上传合影成功
				$$('#cd-timeline-one-img').addClass('cd-picture-colorful');
				$$('#cd-timeline-tow-img').addClass('cd-picture-colorful');
				$$('#cd-timeline-three-img').addClass('cd-picture-colorful');

				$$('#find-scan-qrcode').hide();
				$$('#find-uploaddog').hide();
				$$('#find-owneranddog').hide();

				$$('#find-scan-qrcode-view').show();
				$$('#find-uploaddog-view').show();
				$$('#find-owneranddog-view').show();
			} else {
				$$('#cd-timeline-one-img').addClass('cd-picture-colorful');
				$$('#cd-timeline-tow-img').addClass('cd-picture-colorful');
				$$('#cd-timeline-three-img').addClass('cd-picture-colorful');

				$$('#find-scan-qrcode').hide();
				$$('#find-uploaddog').hide();
				$$('#find-owneranddog').hide();

				$$('#find-scan-qrcode-view').show();
				$$('#find-uploaddog-view').show();
				$$('#find-owneranddog-view').show();
			}

			if (parseInt(c_status) >= 3) {
				if (data.listPictureOne.length != 0) {
					var photoArr = [];

					for (var j = 0; j < data.listPictureOne.length; j++) {
						photoArr.push({
							url : globalVar.serverAddress + '/upload/' + data.listPictureOne[j].c_picture
						});
					}
					var stepTowImages = petKiki.photoBrowser({
						photos : photoArr,
						theme : 'dark',
						iconsColor : 'pink'
					});
					$$('#find-uploaddog-view').on('click', function() {
						stepTowImages.open();
					});

				}
			}
			if (parseInt(c_status) >= 4) {
				if (data.listPictureTwo.length != 0) {
					var photoArrThree = [];

					for (var k = 0; k < data.listPictureTwo.length; k++) {
						photoArrThree.push({
							url : globalVar.serverAddress + '/upload/' + data.listPictureTwo[k].c_picture
						});
					}
					var stepThreeImages = petKiki.photoBrowser({
						photos : photoArrThree,
						theme : 'dark',
						iconsColor : 'pink',
						type : 'popup'
					});
					$$('#find-owneranddog-view').on('click', function() {
						stepThreeImages.open();
					});

				}
			}
		},
		beforeSend : window.Auto517.Ajax.beforeSendFun,
		error : window.Auto517.Ajax.errorFun,
		complete : window.Auto517.Ajax.completeFun,
	});

});

/**
 * 寻得 第2步
 * 上传一些狗狗的照片 页面
 */
petKiki.onPageInit('uploadDogImage', function(page) {
	var c_noticeid = page.query.c_noticeid;
	$$('#cameraDogBtn').on('click', function() {
		Disvovery.invokeDogCamera();
	});

	$$('#savefindStepTwo').on('click', function() {
		var images = '';
		var imgdom = $$('#findDogArea').find('img');
		if (imgdom.length > 9) {
			toast.show('最多上传9张照片');
			return false;
		}
		//收集照片
		imgdom.each(function() {
			console.log(this.name);
			images += this.name + ',';
		});
		if (images == '') {
			toast.show('请上传照片');
			return false;
		} else {
			images = images.substr(0, images.length - 1);
		}
		window.Auto517.Ajax.ajaxBus({
			method : 'post',
			url : globalVar.serverAddress + '/findPetNotice/uploadeFindPetPicture.jhtml?fromChannel=app',
			data : {
				c_noticeid : c_noticeid,
				c_userid : globalVar.uuid,
				c_photo : images
			},
			dataType : 'json',
			timeout : 150000,
			success : function(data) {
				mainView.router.back({
					'url' : 'html/discovery/sureFind.html?c_noticeid=' + c_noticeid,
					'force' : true
				});
			},
			beforeSend : window.Auto517.Ajax.beforeSendFun,
			error : window.Auto517.Ajax.errorFun,
			complete : window.Auto517.Ajax.completeFun,
		});
	});
});

/**
 * 寻得  第3步
 * 宠物寻得上传合影
 */
petKiki.onPageInit('uploadFinderImage', function(page) {
	var c_noticeid = page.query.c_noticeid;
	$$('#showCameraBtn').on('click', function() {
		Disvovery.invokeGroupCamera();
	});
	$$('#saveFindUploadImg').on('click', function() {
		if ($$('#findGroupPhoto').attr('name') == '') {
			toast.show('请拍摄合影上传');
			return false;
		}
		window.Auto517.Ajax.ajaxBus({
			method : 'post',
			url : globalVar.serverAddress + '/findPetNotice/kindPeopleFindPet.jhtml?fromChannel=app',
			data : {
				c_noticeid : c_noticeid,
				c_userid : globalVar.uuid,
				c_photo : $$('#findGroupPhoto').attr('name')
			},
			dataType : 'json',
			timeout : 150000,
			success : function(data) {
				mainView.router.back({
					'url' : 'html/discovery/sureFind.html?c_noticeid=' + c_noticeid,
					'force' : true
				});
			},
			beforeSend : window.Auto517.Ajax.beforeSendFun,
			error : window.Auto517.Ajax.errorFun,
			complete : window.Auto517.Ajax.completeFun,
		});
	});

	$$('#findGroupPhoto').on('click', function() {
		Disvovery.findPhotoBrowser.open();
	});

});
