petKiki.onPageInit('welcome', function(page) {
	News.timemark = null;
	News.pullRefresh();
	News.infiniteScroll();
	News.getData("init");
	News.swiperInitFlag = false;
	News.swiperInitFlagNew = false;
	$$('.center').on('click', scrollTop);
});

petKiki.onPageInit('newsDetail', function(page) {
	//
	var id = page.query.id;
	//
	News.getDetailData(id);
	//
	$$('.center').on('click', scrollTop);
	//
});

var News = {
	//"start": 0,
	//"pageSize": 5,
	//"limit": 5,
	"loading": false,
	"maxItems": 1000,
	"itemsPerLoad": 20,
	"swiperInitFlag": false,
	"swiperInitFlagNew": false,
	"mySwiper":null,
	"timemark": null,
	"msgNum": null,
	"pullRefresh" : function(){
		// 下拉刷新页面
		var ptrContent = $$('.pull-to-refresh-content');
		// 添加'refresh'监听器
		ptrContent.on('refresh', function (e) {
			$$('.pull-loader').css('display', 'block');
		    // 模拟2s的加载过程
		    setTimeout(function () {
		    	//this.start = 0
				//this.limit = 5;
				News.timemark = null;
		    	this.getData("pull");
		        // 加载完毕需要重置
		        petKiki.pullToRefreshDone();
		        $$('.pull-loader').css('display', 'none');
		    }.bind(this), 2000);
		}.bind(this));
	},
	"infiniteScroll": function(){
		// 注册'infinite'事件处理函数
		$$('.news-infinite-scroll').on('infinite', function () {
			$$('.infinity-loader').css('display', 'block');
			var lastIndex = $$('.list-block li').length;
			// 如果正在加载，则退出
			if (this.loading) return;
			// 设置flag
			this.loading = true;
			// 模拟1s的加载过程
			setTimeout(function () {
				// 重置加载flag
				this.loading = false;

				if (lastIndex >= this.maxItems) {
					// 加载完毕，则注销无限加载事件，以防不必要的加载
					petKiki.detachInfiniteScroll($$('.news-infinite-scroll'));
					// 删除加载提示符
					$$('.infinite-scroll-preloader').remove();
					return;
				}
				this.getData('infiniteScroll');
				// 更新最后加载的序号
				this.lastIndex = $$('.list-block li').length;
			}.bind(this), 1000);
		}.bind(this)); 
	},
	"getData" : function(type){
		//
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/pictureturn/listOnlinePicture.jhtml?fromChannel=app',
	        data : {},
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	//
	        	if(News.swiperInitFlag == false){
					data = data._rows;
		        	//console.log('swiper', data);
		        	var pic = "";
		        	$$('#swiper_img').html();
		        	//
		        	$$.each(data, function (index, item) {
		        		var cover = item.c_picture;
		        		var title = item.c_newstitle;
		        		var id = item.c_newsid;
	    				pic += '<div class="swiper-slide">';
	    				pic += '<a href="html/news/newsDetail.html?id=' + id + '" class="item-link">';
						//pic += '<img class="swiper-img" src="' + globalVar.serverAddress + '/upload/' + cover + '"/>';
						pic += '<div class="swiper-img" style="background-size: cover;background-repeat:no-repeat;background-position:center;background-image:url('+ globalVar.serverAddress + '/upload/' + cover +')"></div>'
						pic += '<div style="margin-top:-20px;width:60%;overflow:hidden;color:#fff;text-overflow:ellipsis;margin-left:5px;white-space: nowrap;">' + title + '</div>';
						pic += '</a>';
						pic += '</div>';
		        	});
	        		//
	        		$$('#swiper_img').html(pic);
	        		initWelcomeSwiper();
	        		News.swiperInitFlag = true;
	        		//if(data.length != 0){
	        			//$$('#news-swiper').show();
	        		//}
	        	}
	        }
	    });	  
	    window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/horn/listHornTen.jhtml?fromChannel=app',
	        data : {},
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	var html = '';        	
	        		if(News.swiperInitFlagNew == false){
		        		if(data.length > 0){
		        			for(var i = 0; i<data.length; i++){
				        		html += '<div class="swiper-slide swiper-no-swiping" style="background-color:white;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;">';
								html += '		<i class="iconfont" style="font-size:14px;color:#ff2d4d">&#xe623;</i>';
								html += '		<span class="new-one" id="new-one" style="font-size:14px;color:#333;line-height: 36px;background-color:white;height:20px">'+data[i].c_content+'</span>';
								html += '</div>';						
				        	}
		        		}else{
		        			html += '<div class="swiper-slide swiper-no-swiping" style="background-color:white;overflow: hidden;white-space: nowrap;text-overflow: ellipsis;">';
							html += '		<i class="iconfont" style="font-size:14px;color:#ff2d4d">&#xe623;</i>';
							html += '		<span class="new-one" id="new-one" style="font-size:14px;color:#333;line-height: 36px;background-color:white;height:20px">暂无消息</span>';
							html += '</div>';
		        		}
						
			        	$$('#swiper-wrapper-dope').html(html);
		        		initWelcomeSwiperNew();
		        		News.swiperInitFlagNew = true;
	        		}	        		
	        }
	    });	    
		//
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/news/listOnlineNews.jhtml?fromChannel=app',
	        data : {
	            //start : this.start,
	            //limit : this.limit
	            timemark: News.timemark,
	            c_userid: globalVar.uuid
	        },
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	//
	        	var msgNum = data.msgNum;
	        	var cacheMsgNum = window.localStorage.getItem('msgNum');
	        	data = data.news;
	        	//
	        	News.msgNum = msgNum;
	        	if(globalVar.uuid != null && globalVar.uuid != ''){
					if(cacheMsgNum == null){
		        		$$('.new-notice').attr('src', 'image/news/message.png');
		        		//window.localStorage.setItem('msgNum', msgNum)
		        	}else if(cacheMsgNum < msgNum){
		        		$$('.new-notice').attr('src', 'image/news/have-message.png');
		        		//window.localStorage.setItem('msgNum', msgNum)
		        	}else{
		        		$$('.new-notice').attr('src', 'image/news/message.png');
		        		//window.localStorage.setItem('msgNum', msgNum)
		        	}
	        	}
	        	//window.localStorage.setItem('uuid',userInfo.c_id);
	        	//console.log(data);
	        	//
				var ptrContent 	= $$('#news-list');
				var itemHTML 	= '';
				//
				if(data.length == 0){
					$$('.infinity-loader').css("display","none");
					return;
				}
				//
				$$.each(data, function (index, item) {
					//
					var id 			= item.c_id
					var title 		= item.c_title;
					var contentTxt 	= item.c_content_txt;
					var createtime 	= item.c_createtime;
					var cover		= item.c_imge;
					var dt			= item.c_altertime;
					var currentDt	= new Date().Format("yyyy-MM-dd hh:mm:ss");
					var updateLabel = Auto517.Date.getDiffLabel(dt, currentDt);
					var cacheColor 	= (News.isCached(id) == true)? '#999': '#333';

					//var temp1 = '2016-11-13 23:14:14';
					//var temp2 = '2016-11-14 23:44:35';
					//console.log(temp1, temp2, Auto517.Date.getDiffLabel(temp1, temp2));

			        // 列表元素的HTML字符串
			        itemHTML += '<li>' +
					        		'<a href="html/news/newsDetail.html?id=' + id + '" class="item-link item-content new-list-border">' +
						             	'<div class="item-media">' +
						             		//'<img src="' + globalVar.serverAddress + '/upload/' + cover + '" class="new-list-cover"/>' +
						             		'<div class="new-list-cover" style="background-position: center;background-size: cover;background-image:url('+ globalVar.serverAddress + '/upload/' + cover +')"></div>' +
						             	'</div>' +
						              	'<div class="item-inner">' +
							                '<div class="item-subtitle" style="font-size:18px;white-space: normal;height: 50px;-webkit-line-clamp: 2;-webkit-box-orient: vertical;display: -webkit-box;color:' + cacheColor + '">' + title + '</div>' +
							                //'<div class="item-text" style="margin-top:0px;font-size:13px;color:#999">' +
							                //	contentTxt +
							                //'</div>' +
							                '<div class="news-list-updatetime" style="display:flex;justify-content: flex-end;">' + 
							                '<div style="margin-top: -1px;"><i class="iconfont" style="font-size:10px;">&#xe60b;</i></div><div style="margin-left: 5px;"><span> ' + updateLabel + '</span></div>' + 
							                '</div>' +
						              	'</div>' +
					          		'</a>' +
					          	'</li>';
				});
				//
				News.timemark = (data.length != 0)? data[data.length-1].c_altertime: null;
				//
				if(type == 'init' || type == 'pull'){
					//this.start = this.start + this.pageSize;
					//this.limit = this.start + this.pageSize;
					if(itemHTML!=''){
						ptrContent.html('<ul>'+itemHTML+'</ul>');
					}
					
				}else{
					//this.start = this.start + this.pageSize;
					//this.limit = this.start + this.pageSize;
					ptrContent.find('ul').append(itemHTML);
				}
	        }.bind(this),
	        //beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	// 
	"getDetailData": function(id){
		News.timemark = null;
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/news/getNewsById.jhtml?fromChannel=app',
	        data : {
	            c_id: id
	        },
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	//
	        	var status			= data.status;
	        	//
	        	if(status == "0" || status == 0){
	        		toast.show('此咨询已被删除！');
	        		window.setTimeout(function(){
	        			News.refreshBack2News();
	        		},1000);
	        	}else{
		        	//
		        	var id 				= data.c_id;
		        	var title 			= data.c_title;
		        	var author 			= data.c_author;
		        	var createTime 		= data.c_createtime;
		        	var content 		= data.c_content;
		        	var itemHTML 		= '';
		        	var detailContainer = $$('.news-detail-container');
		        	//
					itemHTML = '<div class="news-detail-title">' + title + '</div>' +
								'<div class="news-detail-author-datetime">' +
									'<div class="news-detail-author">' + author + '</div>' +
									'<div class="news-detail-time">' + createTime + '</div>' +
								'</div>' +
								'<div class="news-detail-split"></div>' +
								'<div class="news-detail-content">' + content + '</div>';
					detailContainer.html(itemHTML);
					//
					News.setCache(id);
	        	}

	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	"isCached": function(id){
		//目前，只记录是否已经阅读
		var obj = window.localStorage.getItem('News');
		obj = (obj == null || obj == 'null' || obj == undefined || obj == "")? {}: JSON.parse(obj);
		var cacheNews = obj['News_' + id];
		if(cacheNews != null || cacheNews != undefined){
			return true;
		}else{
			obj['News_' + id] = id;
			return false;
		}
	},
	"setCache": function(id){
		//目前，只记录是否已经阅读
		var obj = window.localStorage.getItem('News');
		obj = (obj == null || obj == 'null' || obj == undefined || obj == "")? {}: JSON.parse(obj);
		var cacheNews = obj['News_' + id];
		if(cacheNews != null || cacheNews != undefined){
			//
		}else{
			obj['News_' + id] = id;
			window.localStorage.setItem('News',JSON.stringify(obj));
		}
	},
	"refreshBack2News": function(){
		mainView.router.back({
			"url": "welcome.html",
			"force": true
		});
	},
	"checkLogin": function(){
		if(globalVar.uuid != null){
			mainView.router.loadPage("html/news/news/news.html?t=" + getRandom());
		}else{
			mainView.router.loadPage("html/user/login.html?&t=" + getRandom());
		}
	}
}

/**
 * 初始化首页轮播插件
 */
function initWelcomeSwiper() {
	News.mySwiper = petKiki.swiper('#index_swiper', {
		effect: 'fade',
		centeredSlides: true,
		autoplay: 2000,
		speed: 1500,
		loop: true,
		pagination: '.swiper-pagination',
		paginationClickable: true,
		autoplayDisableOnInteraction: false
	});
}
//小喇叭
function initWelcomeSwiperNew() {
	News.mySwiper = petKiki.swiper('.dope', {
		effect: 'slider',
		centeredSlides: true,
		autoplay: 2000,
		speed: 1500,
		loop: true,
		direction: 'vertical',
		pagination: '.swiper-pagination',
		paginationClickable: true,
		autoplayDisableOnInteraction: false
	});
}

/**
 * 获取首页轮播图
 */
 /*
function getSwiperImg() {
	var pic = '';
	pic += '<div class="swiper-slide">';
	pic += '<img class="swiper-img" src="http://h7.86.cc/walls/20151117/1440x900_81ff0e368b611f1.jpg"/>';
	pic += '<div style="margin-top:-20px;width:60%;overflow:hidden;color:#fff;text-overflow:ellipsis;margin-left:5px;">狗狗尿失禁怎么办【图】</div>';
	pic += '</div>';
	
	pic += '<div class="swiper-slide">';
	pic += '<img class="swiper-img" src="http://h6.86.cc/walls/20151228/1440x900_ba00e2d1c985d83.jpg"/>';
	pic += '</div>';

	pic += '<div class="swiper-slide">';
	pic += '<img class="swiper-img" src="http://h6.86.cc/walls/20151228/1440x900_ba00e2d1c985d83.jpg"/>';
	pic += '</div>';


	$$('#swiper_img').html(pic);
}
*/