/*******************************************************************************
 * Copyright (c) 2016 Auto517
 * Date     :2016-07-02
 * Desc     :F7在Apicloud开发环境下百度地图的封装实现
 * Author   :Spirit
 *******************************************************************************/
var _p_bMap = function() {
		var bMap = api.require('bMap');
		/**
		 * 获取当点地址信息
		 * @param {回调函数} callBack 定位后调用的函数
		 */
		var _getCurrentAddress = function(callBack) {
			bMap.getLocation({
				accuracy: '10m',
				autoStop: true,
				filter: 1
			}, function(ret, err) {
				if(ret.status) {
					bMap.getNameFromCoords({
						lon: ret.lon,
						lat: ret.lat
					}, function(rParam, errInfo) {
						eval(callBack(rParam));
					});
				} else {
					console.log(err.code);
				}
			});
		};

		var _getCoordsFromName = function(address, callBack) {
			bMap.getCoordsFromName({
				city: '',
				address: address
			}, function(ret, err) {
				eval(callBack(address,ret));
			});
		};
		return {
			"getCurrentAddress": _getCurrentAddress,
			"getCoordsFromName": _getCoordsFromName
		};
	}
	//
Auto517.regist(_p_bMap, "_bMap");