//
petKiki.onPageInit('login', function(page) {
	//
    $$('.user-login-button').on("click", function(){
    	//
    	var cellphone 	= $$('.user-login-cellphone-icon-number-container-div-input').val();
    	var password 	= $$('.user-login-password-icon-number-container-div-input').val();
    	//
    	if(cellphone == ''){
    		//toast.show("手机号码不能为空");
    		//return;
    	}
    	//
    	if(!User.vertifyCellphone(cellphone)){
    		toast.show("请输入正确的手机号码");
    		return;
    	}
    	//
    	if(password == ''){
    		toast.show("密码不能为空");
    		return;
    	}
    	//
    	User.login(cellphone, password);
    });
});
//
petKiki.onPageInit('regist', function(page) {
    //
    $$('.user-regist-authcode-container').on("click", User.getAuthCodeEventHandler);
    //
    $$('.user-regist-button').on("click", function(){
    	//
    	var cellphone 	= $$('.user-regist-cellphone-icon-number-container-div-input').val();
    	var authcode 	= $$('.user-regist-authcode-icon-number-container-div-input').val();
    	var password 	= $$('.user-regist-password-icon-number-container-div-input').val();
    	//
    	if(cellphone == ''){
    		//toast.show("手机号码不能为空");
    		//return;
    	}
    	//
    	if(!User.vertifyCellphone(cellphone)){
    		toast.show("请输入正确的手机号码");
    		return;
    	}
    	//
    	if(authcode == null || authcode == ''){
    		toast.show("请输入手机验证码");
    		return;
    	}
    	//
    	if(password.length <6 || password.length>20){
    		toast.show("请输入6-20位密码");
    		return;
    	}
    	//
    	if(!User.verfityPassword(password)){
    		toast.show("密码只能英文和数字");
    		return;
    	}
    	//
    	User.regist(cellphone, password, authcode);
   	});
});
//
petKiki.onPageInit('forget', function(page) {
    //
    $$('.user-regist-authcode-container').on("click", User.getAuthCodeForgetEventHandler);
    //
    $$('.user-regist-button').on("click", function(){
    	//
    	var cellphone 		= $$('.user-regist-cellphone-icon-number-container-div-input').val();
    	var authcode 		= $$('.user-regist-authcode-icon-number-container-div-input').val();
    	var password 		= $$('.user-regist-password-icon-number-container-div-input').val();
    	var confirmPassword = $$('.user-regist-passwordagain-icon-number-container-div-input').val();
    	//
    	if(cellphone == ''){
    		//toast.show("手机号码不能为空");
    		//return;
    	}
    	//
    	if(!User.vertifyCellphone(cellphone)){
    		toast.show("请输入正确的手机号码");
    		return;
    	}
    	//
    	if(authcode == null || authcode == ''){
    		toast.show("请输入手机验证码");
    		return;
    	}
    	//
    	if(password.length <6 || password.length>20){
    		toast.show("请输入6-20位密码");
    		return;
    	}
    	//
    	if(!User.verfityPassword(password)){
    		toast.show("密码只能英文和数字");
    		return;
    	}
    	//
    	if(password != confirmPassword){
    		toast.show("新密码不一致");
    		return;
    	}
    	//
    	User.updatePassword(cellphone, password, authcode);
   	});
});
//
var User = {
	//间隔命名
	"authCodeInterval": null,
	//倒计时时间
	"secondCount": 60,
	//登录
	"login": function(cellphone, password){
		//
		var cellphone 	= cellphone;
		var password 	= password;
		//
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/userLogin.jhtml?fromChannel=app&t=' + getRandom(),
	        data : {
	            c_account: cellphone,
	            c_password: password
	        },
	        dataType : 'json',
	        timeout : 15000,
	        success : function(data) {
	        	//
	        	var status = data.status;
	        	var userInfo = data.userInfo;
	        	//
	        	if(status == 1 || status == '1'){
	        		//
	        		toast.show('登录成功');

	        		globalVar.uuid = userInfo.c_id;
	        		globalVar.cellphone = userInfo.c_account;
	        		//globalVar.password = password;
	        		//
	        		window.localStorage.setItem('uuid',userInfo.c_id);
	        		window.localStorage.setItem('cellphone',userInfo.c_account);
	        		//window.localStorage.setItem('password',userInfo.c_password);
	        		//
	        		mainView.router.loadPage({
	        			"url": "welcome.html",
	        			"force": true
	        		});
	        		//
	        		Auto517.Ajpush.startNotification('user' + globalVar.uuid);
	        	}
	        	//
	        	if(status == 2 || status == '2'){
	        		toast.show('密码错误');
	        		return;
	        	}
	        	//
	        	if(status == 3 || status == '3'){
	        		toast.show('手机号码不存在');
	        		return;
	        	}
	        	//
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	//倒计时时间事件(注册)
	"getAuthCodeEventHandler": function(){
    	User.sendAuthCode();
	},
	//倒计时时间事件(忘记)
	"getAuthCodeForgetEventHandler": function(){
    	User.sendAuthCodeForget();
	},
	//验证码倒计时(注册)
	"getRegistAuthCode": function(){
		//
		$$('.user-regist-authcode-container').off("click", User.getAuthCodeEventHandler);
		var authCodeDOM =  $$('.user-regist-authcode-container');
    	this.authCodeInterval 	= window.setInterval(function(){
    		var authCodeTimer 	= '<div class="user-regist-authcode-icon-number-container-authcode-div">' +
									'<span class="user-regist-password-icon-number-container-timer-div">' + this.secondCount + 's</span>' +
								  '</div>';
			var authCodeHTML 	= '<div class="user-regist-authcode-icon-number-container-authcode-div">' +
									'<span class="user-regist-authcode-icon-number-container-authcode">获取验证码</span>' +
								  '</div>';

    		if(this.secondCount == 0){
    			window.clearInterval(this.authCodeInterval);
    			authCodeDOM.html(authCodeHTML);
    			$$('.user-regist-authcode-container').on("click", User.getAuthCodeEventHandler);
    			return;
    		}
    		authCodeDOM.html(authCodeTimer);
    		this.secondCount--;
    	}.bind(this),1000);
	},
	//发送注册验证码(注册)
	"sendAuthCode": function(){
		//
		var cellphone 	= $$('.user-regist-cellphone-icon-number-container-div-input').val();
		if(cellphone == ''){
			toast.show('手机号码不能为空');
			return;
		}
		var noticeid = 0;
		if(typeof(Share) != "undefined"){
			noticeid = Share.noticeid;
		}
		//
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/sendSms.jhtml?fromChannel=app&t=' + getRandom(),
	        data : {
	            c_account: cellphone,
	            c_noticeid: noticeid
	        },
	        dataType : 'json',
	        timeout : 15000,
	        success : function(data) {
	        	//
	        	var status = data.status;

	        	if(status == 1 || status == '1'){
	        		toast.show('发送成功');
    				User.secondCount = 60;
    				User.getRegistAuthCode();
	        	}

	        	if(status == 2 || status == '2'){
	        		toast.show('发送失败');
	        		return;
	        	}
	        	//
	        	if(status == 3 || status == '3'){
	        		toast.show('该用户已经注册');
	        		return;
	        	}
	        	//
	        	if(status == 4 || status == '4'){
	        		toast.show('验证码不存在');
	        		return;
	        	}
	        	//
	        	if(status == 5 || status == '5'){
	        		toast.show('该用户已经注册');
	        		return;
	        	}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	}.bind(this),
	//发送注册验证码(忘记)
	"sendAuthCodeForget": function(){
		//
		var cellphone 	= $$('.user-regist-cellphone-icon-number-container-div-input').val();
		if(cellphone == ''){
			toast.show('手机号码不能为空');
			return;
		}
		//
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/smsForgetPassword.jhtml?fromChannel=app&t=' + getRandom(),
	        data : {
	            c_account: cellphone,
	        },
	        dataType : 'json',
	        timeout : 15000,
	        success : function(data) {
	        	//
	        	var status = data.status;
	        	//
	        	if(status == 1 || status == '1'){
	        		toast.show('发送成功');
    				User.secondCount = 60;
    				User.getRegistAuthCode();
	        	}

	        	if(status == 2 || status == '2'){
	        		toast.show('发送失败');
	        		return;
	        	}
	        	//
	        	if(status == 3 || status == '3'){
	        		toast.show('验证码不存在');
	        		return;
	        	}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	}.bind(this),
	//用户注册
	"regist": function(cellphone, password, authcode){
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/register.jhtml?fromChannel=app&t=' + getRandom(),
	        data : {
	            c_account: cellphone,
	            c_password: password,
	            smsContent: authcode
	        },
	        dataType : 'json',
	        timeout : 15000,
	        success : function(data) {
	        	//
	        	var status = data.status;
	        	//
	        	if(status == 1 || status == '1'){
	        		toast.show('验证码超时');
	        		return;
	        	}
	        	//
	        	if(status == 3 || status == '3'){
	        		toast.show('验证码错误');
	        		return;
	        	}
	        	if(status == 2 || status == '2'){
	        		toast.show('注册成功');
	        		mainView.router.loadPage("html/user/login.html");
	        		return;
	        	}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	//验证用户
	"vertify": function(cellphone, password, authcode, noticeid){
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/register.jhtml?fromChannel=app&t=' + getRandom(),
	        data : {
	            c_account: cellphone,
	            c_password: password,
	            smsContent: authcode,
	            c_noticeid: noticeid
	        },
	        dataType : 'json',
	        timeout : 15000,
	        success : function(data) {
	        	//
	        	var status = data.status;
	        	//
	        	if(status == 1 || status == '1'){
	        		toast.show('验证码超时');
	        		return;
	        	}
	        	//
	        	if(status == 3 || status == '3'){
	        		toast.show('验证码错误');
	        		return;
	        	}
	        	if(status == 2 || status == '2'){
	        		toast.show('验证成功');
	        		Share.isVertify = true;
	        		mainView.router.back();
	        		return;
	        	}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	//更新密码
	"updatePassword": function(cellphone, password, authcode){
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/updatePassword.jhtml?fromChannel=app&t=' + getRandom(),
	        data : {
	            c_account: cellphone,
	            c_password: password,
	            smsContent: authcode
	        },
	        dataType : 'json',
	        timeout : 15000,
	        success : function(data) {
	        	//
	        	var status = data.status;
	        	//
	        	if(status == 1 || status == '1'){
	        		toast.show('验证码超时');
	        		return;
	        	}
	        	//
	        	if(status == 3 || status == '3'){
	        		toast.show('验证码错误');
	        		return;
	        	}
	        	if(status == 2 || status == '2'){
	        		toast.show('修改密码成功');
	        		mainView.router.loadPage("html/user/login.html");
	        		return;
	        	}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	//校验手机号码
	"vertifyCellphone": function(cellphone){
		//
		if((/^1(3|4|5|7|8)\d{9}$/.test(cellphone))){ 
		    return true; 
		}else{
			return false;
		}
	},
	//校验密码
	"verfityPassword": function(password){
		//
		if((/^[0-9a-zA-Z]*$/g.test(password))){ 
		    return true; 
		}else{
			return false;
		}
	}
}