/**
 * 寻宠追加支付
 */
petKiki.onPageInit('remuneration', function(page) {
	var noticeId = page.query.noticeId;

	window.Auto517.Ajax.ajaxBus({
		url : globalVar.serverAddress + '/findPetNotice/addMoneyButton.jhtml?fromChannel=app',
		dataType : 'json',
		timeout : 150000,
		data : {
			c_noticeid : noticeId
		},
		method : 'POST',
		success : function(data) {
			var c_ordernum = data.c_ordernum;
			$$('#remuneration').on('click', function() {
				var addmoney = $$('#pay_remuneration').val();

				if (!/^[1-9]\d{2,}$/.test(addmoney)) {
					toast.show('请输入大于100的整数金额');
					return false;
				}

				//将当前金额转换成分
				var fen = parseInt(addmoney) * 100;
				var params = {
					description : '寻宠追加担保金',
					totalFee : fen,
					tradeNo : c_ordernum
				}
				Auto517.Weixin.wxPay(params, _remuneration.wxPayCallBack);
			});
		},
		beforeSend : window.Auto517.Ajax.beforeSendFun,
		error : window.Auto517.Ajax.errorFun,
		complete : window.Auto517.Ajax.completeFun,
	});

});

var _remuneration = {
	//	//支付酬金时，输入框与按钮text联动
	'setPayButtonValue' : function(dom) {
		$$('#remuneration').text('确认支付' + $$(dom).val() + '元');
	},
	//微信支付成功回调函数
	'wxPayCallBack' : function(params, flag) {
		mainView.router.loadPage('html/user/myfound/myfound.html');
	},
	//加载任意页
	'forceBackPage' : function(url) {
		mainView.router.back({
			'url' : url,
			'force' : true
		});
	}
}