petKiki.onPageInit('user-withdrawals', function(page) {
	//
    User_withdrawals.getOneCashType();
    //返回我的钱包页面
	$$('.widthdrawals-back').on('click',function(){
	 	mainView.router.back({
	 	    "url":'html/user/wallet/my-wallet.html',
	 	    "force": true
	 	});
	}) 
   
});

function clearNoNum(obj){  
	obj.value = obj.value.replace(/[^\d.]/g,"");  //清除“数字”和“.”以外的字符   
	obj.value = obj.value.replace(/\.{2,}/g,"."); //只保留第一个. 清除多余的   
	obj.value = obj.value.replace(".","$#$").replace(/\./g,"").replace("$#$",".");  
	obj.value = obj.value.replace(/^(\-)*(\d+)\.(\d\d).*$/,'$1$2.$3');//只能输入两个小数   
	if(obj.value.indexOf(".")< 0 && obj.value !=""){//以上已经过滤，此处控制的是如果没有小数点，首位不能为类似于 01、02的金额  
	   obj.value= parseFloat(obj.value);  
	} 
		
}

var User_withdrawals = {

	"getOneCashType": function(){
		
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/cashtype/getOneCashType.jhtml?fromChannel=app',
	        data : {
	            c_userid: globalVar.uuid 
	        },
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
				//是否添加账号	        	
	        	if(typeof(data.cashType) == 'undefined'){
	        		var user_withdrawals_account_add = '';
		        	user_withdrawals_account_add += '<a href="html/user/wallet/add-account.html?show=1" class="item-link item-content user-withdrawals-list-a">';
						user_withdrawals_account_add += '<div class="item-media"><img src="image/user/add.png"></div>';
//						user_withdrawals_account_add += '<div class="item-media"><i class="iconfont">&#xe626;<i/></div>';
						user_withdrawals_account_add += '<div class="item-inner">';						
							user_withdrawals_account_add += '<div class="item-title user-withdrawals-add-font">微信号/支付宝账号</div>';																																					
						user_withdrawals_account_add += '</div>';
					user_withdrawals_account_add += '</a>';
	        		$$('.user-withdrawals-ul-li').html(user_withdrawals_account_add);
	        	}else{
	        		var type = data.cashType;
		        	var c_type=type.c_type;
		        	var user_withdrawals_account = '';
		        	user_withdrawals_account += '<a href="html/user/wallet/present-manner.html?c_id="'+data.cashType.c_id+' class="item-link item-content user-withdrawals-list-a">';
		                user_withdrawals_account += '<div class="item-media">';
		                //账号头像
		                if(c_type == 0){
		                	user_withdrawals_account += '<img class="present-manner-img" src="image/share/icon48_appwx_logo.png">';
		                }
		                if(c_type == 1){
		                	user_withdrawals_account += '<img class="present-manner-img" src="image/user/alipay.png">';
		                }
						user_withdrawals_account += '</div>';
						user_withdrawals_account += '<div class="item-inner">';
							user_withdrawals_account += '<div class="item-title-row">';
								user_withdrawals_account += '<div class="item-title">';
								//微信/支付宝账号
								if(c_type == 0){
									user_withdrawals_account += '<div class="present-manner-name">微信号</div>';
								}
								if(c_type == 1){
									user_withdrawals_account += '<div class="present-manner-name">支付宝账号</div>';
								}									
									user_withdrawals_account += '<div class="user-withdrawals-account">'+data.cashType.c_account+'</div>';
								user_withdrawals_account += '</div>';
							user_withdrawals_account += '</div>';						
						user_withdrawals_account += '</div>';
					user_withdrawals_account += '</a>';
	        		$$('.user-withdrawals-ul-li').html(user_withdrawals_account);
	        	}	        	
				$$('.my-available-balance').html(data.c_balance);
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	}
	
	
}

$$(document).on('click', '#withdrawals-submit' ,function(){

	//判断有没有提现账号
	var add_class = $$('.user-withdrawals-list-a').find('.user-withdrawals-add-font');	
	if(add_class.length != 0){
		toast.show("请添加提现方式");
		return;
	}
	
	//提现类型0微信1支付宝
	var add_account = $$('.present-manner-name').html();	
	var c_type = '';
	if(add_account == '微信号') {
		c_type = 0;
	}
	if(add_account == '支付宝账号') {
		c_type = 1;
	}
	
	//提现账号
	var add_account_number = $$('.user-withdrawals-account').html();
	
	//提现金额
	var withdrawals_amount = $$('.amount-money-number').val(); 
	
	//余额
	var available_balance = parseFloat($$('.my-available-balance').html());
	
	if(withdrawals_amount == '' || null == withdrawals_amount ){
		toast.show("提现金额不能为空");
		return;
	}else if(withdrawals_amount == 0){
		toast.show("提现金额需大于0");
		return;
	}
	
//	var account_number=/^\d+(\.\d{2})?$/;
//	if(!account_number.test(withdrawals_amount)){
//		toast.show("提现金额只能输入小数点后两位");
//		return;		
//	}

	if(withdrawals_amount > 99999999){
		toast.show("提现金额最大为99999999");
		return;
	}
	if(withdrawals_amount > available_balance ){
		toast.show("提现金额超过余额");
		return;
	}
	
       
	window.Auto517.Ajax.ajaxBus({
		method: 'post',
		url: globalVar.serverAddress + '/cashtype/withdrawCash.jhtml?fromChannel=app',
		data: {
			c_userid: globalVar.uuid,
			c_money: withdrawals_amount,
			c_type: c_type,
			c_account: add_account_number,
			c_status: 0,
		},
		dataType: 'json',
		timeout: 150000,
		success: function(data) {
			toast.show("提现成功");
			mainView.router.loadPage('html/user/user.html');
		},
		beforeSend: window.Auto517.Ajax.beforeSendFun,
		error: window.Auto517.Ajax.errorFun,
		complete: window.Auto517.Ajax.completeFun,
	});
		
});
