petKiki.onPageInit('comment_reply', function(page) {
    //初始化列表
	Comment_reply.listComment(null, false);    
	//最多可加载的条目
	var maxItems = 1000;
	//加载flag
	var loading = false;
	// 最多可加载的条目
	$$('#comment-refresh').on('infinite', function() {
		$$('.infinity-loader').css('display', 'block');
		// 如果正在加载，则退出
		if(loading) return;
		// 设置flag
		loading = true;
		// 模拟2s的加载过程
		setTimeout(function() {
			// 重置加载flag
			loading = false;
			//lastIndex = $$('.comment_reply_list ul').length;
			var timemark = $$('#comment_timemark').val();
			Comment_reply.listComment(timemark, true);
		}, 2000);
	});
	// 下拉刷新监听器
	$$('#comment-refresh').on('refresh', function(e) {
		$$('.pull-loader').css('display', 'block');
		// 模拟2s的加载过程
		setTimeout(function() {
			Comment_reply.listComment(null, false); 
			// 加载完毕需要重置
			petKiki.pullToRefreshDone();
			$$('.pull-loader').css('display', 'none');
		}, 2000);
	});
	//
	$$('.center').on('click', scrollTop);
	//
	window.localStorage.setItem('msgNum', News.msgNum)
});

var Comment_reply = {
	
	"listComment": function(timemark, flag){	

		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/usernotice/listComment.jhtml?fromChannel=app',
	        data : {
	        	timemark: timemark,
	            c_userid : globalVar.uuid
	        },
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	var html = '';
	        		        	
	        	if(data._rows.length == 0){
					$$('.infinity-loader').css("display","none");
					return;
				}
					        		        	
	        	for(var i = 0, len = data._rows.length; i < len; i++) {
	        		//
					var now = new Date ();
					var time1 = now.Format("yyyy-MM-dd hh:mm:ss");
					var time2 = data._rows[i].c_createtime;										
					var time = Auto517.Date.getDiffLabel(time2,time1);	
					//
	        		if(i == data._rows.length - 1){
	        			$$('#comment_timemark').val(data._rows[i].c_createtime);
	        		}
	        		
					html += '<ul>';
					html += '    <li>';
					html += '        <a href="#" class="item-content comment-reply-list-a">';
					//头像
					html += '            <div class="item-media comment-reply-media">';
					html += '                <img class="comment-reply-portrait" src="' + globalVar.serverAddress + '/upload/' + data._rows[i].c_headimge + '">';
					html += '            </div>';							    							   
					html += '<div class="item-inner comment-reply-inner">';
					html += '<div class="item-title-row comment-reply-title-row">';
					html += '<div class="item-title">'+data._rows[i].c_nickname+'</div>';
					html += '<div class="item-after">'+time+'</div>';
					html += '</div>';
					html += '</div>';
					html += '</a>';
					html += '<div class="row comment-reply-row">';
					html += '<div class="col-100 tablet-50 comment-reply-col">回复了你：</div>';
					html += '<div class="col-100 tablet-50 comment-reply-tablet-50">'+data._rows[i].c_content+'</div>';
					html += '</div>';
					html += '<a class="item-content comment-reply-item-content">';
					//消息图片	
					if(null != data._rows[i].picture && data._rows[i].picture != ''){
						html += '<div class="item-media"><img src="' + globalVar.serverAddress + '/upload/' + data._rows[i].picture + '" class="comment-reply-img"></div>';
					}								
					html += '<div class="item-inner">';
					html += '<div class="item-text comment-reply-text">'+data._rows[i].notice_content+'</div>';
					html += '</div>';
					html += '</a>';
					html += '<div class="right comment-reply-right">';
					html += '<i class="iconfont comment-reply-iconfont ">';
					html += '&#xe608;';
					html += '</i>';
					html += '<span>回复</span>';
					html += '</div>';
					html += '<input class="comment-input" type="hidden" name="data-sourceid" value ="' + data._rows[i].c_sourceid + '"/>';
					html += '<input class="comment-input" type="hidden" name="data-noticeid" value ="' + data._rows[i].c_noticeid + '"/>';
					html += '<input class="comment-input" type="hidden" name="data-commentid" value ="' + data._rows[i].c_commentid + '"/>';						
					html += '</li>';
					html += '</ul>';
	        	}	        	
	        	
	        	if (flag ) {
					$$('.comment_reply_list').append(html);						
				} 
				else{
				    $$('.comment_reply_list').html(html);
				}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	}
	
	
}

var Comment_reply_notice = {
	'beCommentator' : 0, //基于哪条评论做的回复？如果直接评论默认评论id就是0.
	'noticeId' : 0, //寻宠详情的ID
	'receiveId' : 0, //评论记录的发表人ID	
	//弹出评论输入框
	'popupComment_reply' : function(c_noticeId1,receiveId1,commentId1) {
		if (globalVar.uuid == null && (window.localStorage.getItem('uuid') == null || window.localStorage.getItem('uuid') == '')) {
			petKiki.confirm('去注册／登录?', '需要登录后才能评论', function() {
				mainView.router.loadPage("html/user/login.html");
			});
		} else {
			this.noticeId = c_noticeId1;
			this.receiveId = receiveId1;
			this.beCommentator = commentId1;
			// Check first, if we already have opened picker
			if ($$('.picker-modal.modal-in').length > 0) {
				petKiki.closeModal('.picker-modal.modal-in');
			}
			petKiki.pickerModal('<div class="picker-modal" style="background-color: rgb(247,247,247);">' + '<div class="toolbar" style="border-bottom: 1px solid rgb(228,228,228);">' + '<div class="toolbar-inner">' + '<div class="left" style="padding-left: 10px;"><a href="#" class="close-picker">取消</a></div>' + '<div class="right" id="comment_reply_send" style="padding-right: 10px;" onclick="Comment_reply_notice.saveComment_reply();">发送</div>' + '</div>' + '</div>' + '<textarea class="pet-write-comment-textarea" id="reply_textarea" placeholder="输入评论内容"></textarea>' + '</div>');
			$$('#comment_reply_send').removeAttr("disabled");
		}

	},
	//保存评论
	'saveComment_reply' : function() {
		var content =utf16toEntities($$('.pet-write-comment-textarea').val().replace(/(^\s*)|(\s*$)/g, ""));
		if (content == null || content == undefined || content == '') {
			toast.show('请输入评论内容');
			return false;
		}
		if(content.length>200){			
		    toast.show('评论字数不能超过200字');
			return false;
		}
		$$('#comment_reply_send').attr("disabled","disabled");		
		//过滤敏感字
		wordpass(content);
		api.addEventListener({
			name: 'getKeyWord'
		}, function(ret, err) {
			
			content = ret.value.info;
				
			window.Auto517.Ajax.ajaxBus({
				url : globalVar.serverAddress + '/findpetComment/addComment.jhtml?fromChannel=app',
				dataType : 'json',
				timeout : 150000,
				data : {
					c_userid : globalVar.uuid,
					c_receiveid : Comment_reply_notice.receiveId,
					c_content : content,
					c_noticeid : Comment_reply_notice.noticeId,
					c_commentid : Comment_reply_notice.beCommentator
	
				},
				method : 'POST',
				success : function(data) {					
					console.log("评论发表成功");
					petKiki.closeModal('.picker-modal.modal-in');
					$$('#find-pet-comment').append(commmentCardTemplate(data.comment));
				},
				beforeSend : window.Auto517.Ajax.beforeSendFun,
				error : window.Auto517.Ajax.errorFun,
				complete : window.Auto517.Ajax.completeFun,
			});	
						
		});
		
	},
	'commmentCardTemplate': function(jsonObj) {
		var commentHTML = '';
		commentHTML += '<div class="pet-comment-content">';
		commentHTML += '<div class="row">';
		commentHTML += '<div class="col-60"><img src="' + globalVar.serverAddress + '/upload/' + jsonObj.c_headimge + '"><span class="pet-comment-user">' + jsonObj.c_nickname + '</span></div>';
		if((parseInt(jsonObj.c_floor) - 1) == 0) {
			commentHTML += '<div class="col-40"><span class="pet-comment-floor">沙发</span></div>';
		} else {
			commentHTML += '<div class="col-40"><span class="pet-comment-floor">' + jsonObj.c_floor + '楼</span></div>';
		}

		commentHTML += '</div>';
		commentHTML += '<div class="pet-comment-text">' + jsonObj.c_content + '</div>';

		var c_userid_p = jsonObj.c_userid_p;
		if(c_userid_p != null) {
			commentHTML += '<div class="pet-comment-talkto">';
			commentHTML += '<div class="talkto-title">｜' + jsonObj.c_nickname_p + ' ' + jsonObj.c_createtime_p + ' 发表在 ' + jsonObj.c_floor_p + '楼</div>';
			commentHTML += '<div class="talkto-content">' + jsonObj.c_content_p + '</div>';
			commentHTML += '</div>';
		}

		commentHTML += '<div class="row pet-comment-footer">';
		commentHTML += '<div class="col-60"><span class="pet-comment-time">' + jsonObj.c_createtime + '</span></div>';
		commentHTML += '<div class="col-40"><span class="pet-comment-answer" onclick="Found.popupComment(' + jsonObj.c_id + ',' + jsonObj.c_userid + ');"><i class="iconfont">&#xe608;</i>回复</span></div>';
		commentHTML += '</div>';
		commentHTML += '</div>';
		return commentHTML;
	},
}

//回复
$$(document).on('click','.comment-reply-right',function(){
	//来源者id
	var c_sourceid = $$(this).next().val();	
	//寻宠消息id
	var c_noticeid = $$(this).next().next().val();
	//寻宠消息id
	var c_commentid = $$(this).next().next().next().val();
	//	
	Comment_reply_notice.popupComment_reply(c_noticeid,c_sourceid,c_commentid);
});