petKiki.onPageInit('find_pet_notice', function(page) {
	
	//初始化列表
	Find_pet_notice.listFindNotice(null,false); 
	
	//无限滚动
	// 最多可加载的条目
	var maxItems = 1000;
	// 加载flag
	var loading = false;
	
	// 最多可加载的条目
	$$('.notice-infinite').on('infinite', function() {
		$$('.infinity-loader').css('display', 'block');
		// 如果正在加载，则退出
		if(loading) return;
		// 设置flag
		loading = true;
		// 模拟2s的加载过程
		setTimeout(function() {
			// var lastIndex = 0;
			// 重置加载flag
			loading = false;
			$$('.infinite-scroll-preloader').hide();
			//lastIndex = $$('.notice-list ul').length;
			var timemark = $$('#notice_timemark').val();
			Find_pet_notice.listFindNotice(timemark , true);
		}, 2000);
	});

	// 下拉刷新监听器
	$$('#notice-refresh').on('refresh', function(e) {
		$$('.pull-loader').css('display', 'block');
		// 模拟2s的加载过程
		setTimeout(function() {
			Find_pet_notice.listFindNotice(null,false); 
			// 加载完毕需要重置
			petKiki.pullToRefreshDone();
			$$('.pull-loader').css('display', 'none');
		}, 2000);
	});
	//
	$$('.center').on('click', scrollTop);  
	//
	window.localStorage.setItem('msgNum', News.msgNum)
});

var Find_pet_notice = {
	
	"listFindNotice": function(timemark, flag){
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/usernotice/listFindNotice.jhtml?fromChannel=app',
	        data : {
	        	timemark : timemark,
	            c_userid : globalVar.uuid
	        },
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {	
	        	
	        	var html = '';
	        	for(var i = 0, len = data._rows.length; i < len; i++) {	 
	        		if(i == data._rows.length - 1){
	        			$$('#notice_timemark').val(data._rows[i].c_createtime);
	        		}       		
		        	html += '<div class="center notice-center">';
		        	var now = new Date ();
		        	var that = new Date (data._rows[i].c_createtime);	
		        	var time1 = now.Format("yyyy-MM-dd");
		        	var time2 = now.Format("yyyy-MM-dd hh:mm:ss");
		        	var time = data._rows[i].c_createtime.substring(data._rows[i].c_createtime.length-8, data._rows[i].c_createtime.length);
                    var time3= that.Format("yyyy-MM-dd");
                    var sArr = time1.split("-");
					var eArr = time3.split("-");
					var sRDate = new Date(sArr[0], sArr[1], sArr[2]);
					var eRDate = new Date(eArr[0], eArr[1], eArr[2]);
					var iDays = (eRDate-sRDate)/(24*60*60*1000);
					var time4 = Auto517.Date.getDiffLabel(time2,data._rows[i].c_createtime);
					//今天
				    if (iDays == 0)
				    {
				    	html += '<span>今天 '+time+'</span>';
				    }				   	
				    //昨天
				    else if (time4 == '昨天')
				    {
				    	html += '<span>昨天 '+time+'</span>';
				    }else{
				    	html += '<span> '+data._rows[i].c_createtime+'</span>';
				    }
				    	
					html += '</div>';
					html += '<ul>';
						html += '<li>';					
							html += '<a href="#" class="item-content" >	';											
								html += '<div class="item-inner">';						
									html += '<div class="item-inner-row">';							
									    html += '<div class="item-title find_pet_notice_title">'+data._rows[i].c_title+'</div>';
									html += '</div>	';												
									html += '<div class="item-text find_pet_notice_text">'+data._rows[i].c_content+'</div>';
								html += '</div>';
								//是否有合影								
								if(typeof(data._rows[i].picture) != 'undefined'){
									var pictureNumber = data._rows[i].picture.length;
									if(pictureNumber > 0){																				
										html += '<div class="item-media">';
											html += '<div class="notice-img">';
												html += '<div class="notice-detail">';	
													var pictures = '';
													for(var j = 0; j < pictureNumber; j++) {
														if(j < pictureNumber-1){
															pictures += globalVar.serverAddress + '/upload/' + data._rows[i].picture[j].c_picture + ',';
														}else{
															pictures += globalVar.serverAddress + '/upload/' + data._rows[i].picture[j].c_picture;
														}														
													}
													html += '<div onclick="photoOpen(\''+pictures+'\')" style="background-image:url(' + globalVar.serverAddress + '/upload/' + data._rows[i].picture[0].c_picture + ');background-size: 85px 85px;" valign="bottom" class="notice-photo" >';
														html += '<div class="img-total">' + pictureNumber + '张</div>';
													html += '</div>';					
												html += '</div>';
											html += '</div>';
										html += '</div>';
									}									
								}								
						    html += '</a>';
						html += '</li>';
					html += '</ul>';
					
				}
	        	if (flag) {	        		
					$$('.notice-list').append(html);					
				} else {
					$$('.notice-list').html(html);
				}
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	}
	
	
}
//打开图片浏览器
function photoOpen(photos){ 
	var photo = new Array();
	photo = photos.split(',');
	//alert(JSON.stringify(photos));
	/*
	var photoBrowserPopupDark = petKiki.photoBrowser({
		photos: photo,
		theme: 'dark',
		iconsColor: 'pink'
	});
	photoBrowserPopupDark.open();
	*/
	Disvovery.photoBrowserPopupDark = petKiki.photoBrowser({
		photos : photoBrowserPhotos,
		theme : 'dark',
		iconsColor : 'pink'
		});
	Disvovery.photoBrowserPopupDark.open();
}

