/*******************************************************************************
 * Copyright (c) 2016 Auto517
 * Date     :2016-11-04
 * Desc     :极光推送
 * Author   :Tuatua
 *******************************************************************************/
/**
 *  @namespace Auto517.Ajax
 *  Method:
 *  Auto517.Ajpush.startNotification();
 */
var _p_ajpush = function() {
    //
    //
    var ajpush = api.require('ajpush');
    var systemType = api.systemType;
    //
    if(systemType != 'ios'){
        ajpush.init(function(ret) {
        if (ret && ret.status) {
                console.log('success');
            }
        });
    }
    //
    ajpush.getRegistrationId(function(ret) {
        var registrationId = ret.id;
        //alert('registrationId = ' + registrationId);
        console.log('registrationId=' + registrationId);
    });
    //
    ajpush.setListener(function(ret) {
        var id = ret.id;
        //var title = ret.title;
        //var content = ret.content;
        var extra = ret.extra;
        //
        /*
        if(systemType == 'ios'){
            if(extra != undefined){
                //var extra = JSON.parse(extra);
                //alert(JSON.stringify(extra));
                //Mine.getUserinfoById(extra);
            }
        }
        */
        if($$('.new-notice').length != 0){
            $$('.new-notice').attr('src', 'image/news/have-message.png');
        }
        //
    });
    //
    api.addEventListener({
        name : 'appintent'
    }, function(ret, err) {
        //alert(JSON.stringify(ret) + ' ' + 'android');
    })
    //
    api.addEventListener({
        name : 'pause'
    }, function(ret, err) {
        onPause();
        //监听应用进入后台，通知jpush暂停事件
    })
    //
    api.addEventListener({
        name : 'resume'
    }, function(ret, err) {
        //监听应用恢复到前台，通知jpush恢复事件
        onResume();
    });
    //
    function onResume() {
        ajpush.onResume();
        console.log('JPush onResume');
    }
    //
    api.addEventListener({name:'noticeclicked'}, function(ret,err) {
        if(ret && ret.value){
            //
            var data        = ret.value;
            var extra       = data.extra;
            var fromUserId  = extra.fromUserId;
            var toUserId    = extra.toUserId;
            var content     = extra.content;
            var title       = extra.title;
            var type        = extra.type;   //1、评论 2、通知
            //
            if(type == '1' || type == 1){
                mainView.router.loadPage("html/news/news/comment_reply.html");
            }
            //
            if(type == '2' || type == 2){
                mainView.router.loadPage("html/news/news/find_pet_notice.html");   
            }

            api.setAppIconBadge({
                badge: 0
            });
        }
    })
    //统计-app暂停
    function onPause() {
        ajpush.onPause();
        console.log('JPush onPause');
    }
    //
    function _startNotification(alias){
        //
        var param = {
            alias : alias,
            tags : ['tag1', 'tag2']
        };
        //
        ajpush.bindAliasAndTags(param, function(ret) {
            var statusCode = ret.statusCode;
            console.log('ajpush alias=' + alias);
            console.log('statusCode=' + statusCode);
            //Auto517.Ajpush.resumeNotification();    
        });
    }
    //
    function _stopNotification(){
        //ajpush.stopPush(function(ret) {
        //    if(ret && ret.status){
        //        alert('stopNotification');
        //    }
        //});
    }
    //
    function _resumeNotification(){
        /*
        ajpush.resumePush(function(ret) {
            if(ret && ret.status){
                //success
                alert('resume ok');
            }
        });
        */ 
    }
    //
    (function(){
        if(globalVar.uuid != null){
            _startNotification('user' + globalVar.uuid);
        }
    })();
    //
    return {
        "startNotification" : _startNotification,
        "stopNotification" : _stopNotification,
        "resumeNotification" : _resumeNotification
    };
}
//
Auto517.regist(_p_ajpush, "Ajpush");