petKiki.onPageInit('bindqr', function(page) {
	//
	BindQr.petid = null;
	//
	BindQr.getUnBindDog();
	//
	$$('.user-qr-bind').on('click', function(){
		var currId = $$('.choosePet-list').find("input[type='radio']:checked").val();
		var petName = $$("input[name='_choosePetName_" + currId + "']").val()
		var petAge = $$("input[name='_choosePetAge_" + currId + "']").val();
		var petType = $$("input[name='_choosePetType_" + currId + "']").val();
		var petGender = $$("input[name='_choosePetGender_" + currId + "']").val();
		var petImg = $$("input[name='_choosePetImg_" + currId + "']").val();
		//
		if(currId == undefined){
			toast.show('请选择宠物');
			return;
		}else{
			//
			Pet.petid = currId;
			//
			Auto517.FNScanner.openScanner(function(data){
				//
				if(data.eventType == 'success'){
					//
					var qrurl 	= data.content;
					var index 	= qrurl.indexOf('qrcode');
					var code 	= qrurl.substring(index+7, qrurl.length);
					//
					if(qrurl.indexOf('http://www.petkiki.com/petqr/scanCode.jhtml?fromChannel=app&qrcode=') == -1 && false){
						petKiki.alert('无效的二维码');
					}else{
						BindQr.bindQr(Pet.petid, code);	
					}
				}
			});
		}
	});
});
//
petKiki.onPageInit('unbindqr', function(page) {
	//
	var id = page.query.id;
	//
	BindQr.getBindQrImage(id);
	//
	$$('.user-qr-unbind').on('click', function(){
		//
		if(Pet.addEditStatu == 'add'){
			Pet.petinfo.isBindQr = 0;
		}else{
			Pet.tempPetInfo.isBindQr = 0;
		}
		//
		$$('.user-mine-pet-basic-editpet-isbindqr').html("未绑定");
		//
		mainView.router.back();
	});
});
//
var BindQr = {
	"petid": null,
	"getUnBindDog": function(){
		window.Auto517.Ajax.ajaxBus({
			method: 'post',
			url: globalVar.serverAddress + '/petdog/listNotHaveCode.jhtml?fromChannel=app&t=' + getRandom(),
			data: {
				c_userid: globalVar.uuid
			},
			dataType: 'json',
			timeout: 150000,
			success: function(data) {
				var content = '';
				for(var i = 0; i < data.length; i++) {
					var _petAge = Disvovery.getDogAge(data[i].c_petbirthday);
					var _petId = data[i].c_id;
					content += '<li>';
					content += '<input type="hidden" name="_choosePetAge_' + _petId + '" value="' + _petAge + '"/>';
					content += '<input type="hidden" name="_choosePetType_' + _petId + '" value="' + data[i].c_variety + '"/>';
					content += '<input type="hidden" name="_choosePetGender_' + _petId + '" value="' + data[i].c_gender + '"/>';
					content += '<input type="hidden" name="_choosePetImg_' + _petId + '" value="' + data[i].c_headimge + '"/>';
					content += '<label class="label-checkbox item-content">';
					content += '<input type="radio" id="_choosePetId_' + _petId + '" name="discovery-choose-pet" value="' + _petId + '"/>';
					content += '<div class="item-media"><i class="icon icon-form-checkbox"></i></div>';
					content += '<div class="item-media"><img src="' + globalVar.serverAddress + '/upload/' + data[i].c_headimge + '" width="44"></div>';
					content += '<div class="item-inner">';
					content += '<div class="item-title-row">';
					content += '<div class="item-title choose-pet-title">' + data[i].c_nickname;
					if(data[i].c_gender == '1') {
						content += '<i class="iconfont mars">&#xe607;</i></div>';
					} else {
						content += '<i class="iconfont venus">&#xe606;</i></div>';
					}
					content += '</div>';
					content += '<div class="item-subtitle choose-pet-subtitle"><span>' + data[i].c_variety + '</span><span class="text-separator">' + _petAge + '</span></div>';
					content += '</div>';
					content += '</label>';
					content += '</li>';
				}
				//
				$$('#choosepet-content').html(content);

			},
			beforeSend: window.Auto517.Ajax.beforeSendFun,
			error: window.Auto517.Ajax.errorFun,
			complete: window.Auto517.Ajax.completeFun,
		});
	},
	"bindQr": function(petid, qrcode){
		//
		window.Auto517.Ajax.ajaxBus({
			method: 'post',
			url: globalVar.serverAddress + '/petdog/bindDogCode.jhtml?fromChannel=app',
			data: {
				c_petid: petid,
				c_qrcode: qrcode,
				c_userid: globalVar.uuid,
			},
			dataType: 'json',
			timeout: 150000,
			success: function(data) {
				//
				if(data.status == '1' || data.status == 1){
					window.setTimeout(function(){
						toast.show('该二维码已经绑定过');
					},1000);
				}
				//
				if(data.status == '2' || data.status == 2){
					toast.show('绑定成功');
					mainView.router.refreshPage();
				}
			},
			beforeSend: window.Auto517.Ajax.beforeSendFun,
			error: window.Auto517.Ajax.errorFun,
			complete: window.Auto517.Ajax.completeFun,
		});
	},
	"getBindQrImage": function(petid){
		//
		window.Auto517.Ajax.ajaxBus({
			method: 'post',
			url: globalVar.serverAddress + '/petdog/getCodePicture.jhtml?fromChannel=app',
			data: {
				c_petid: petid
			},
			dataType: 'json',
			timeout: 150000,
			success: function(data) {
				var imagePath = data.c_imagepath;
				$$('.user-pet-unbind-image').html('<img src="' + globalVar.serverAddress + '/upload/' + imagePath + '" width="150" height:"150">');
			},
			beforeSend: window.Auto517.Ajax.beforeSendFun,
			error: window.Auto517.Ajax.errorFun,
			complete: window.Auto517.Ajax.completeFun,
		});
	}
};