//【我的】PageInit
petKiki.onPageInit('mine', function(page) {
	Mine.getMyInfo();
});
//【基本信息】PageInit
petKiki.onPageInit('myinfo', function(page) {
	//根据性别取值，确定显示lable 1:男 2:女
	var genderLabel = '';
	if(Mine.userinfo.gender == 1){
		genderLabel = '男';
	}else if(Mine.userinfo.gender == 2){
		genderLabel = '女';
	}
	//设置头像、昵称、性别、所在地信息
	$$('.user-mine-myinfo-headimage').html(Mine.userinfo.headimage);
	$$('.user-mine-myinfo-nickname').html(Mine.userinfo.nickname);
	$$('.user-mine-myinfo-gender').html(genderLabel);
	$$('.user-mine-myinfo-location').html(Mine.userinfo.address);
	//设置退出事件响应
	$$('.user-mine-myinfo-logout-button').on('click', Mine.logoutEventHandler);
	//拍照、相册响应
	$$('.new-mine-myinfo-c-headimage').on('click', Mine.getPictureEventHandler);
	//
	$$('.user-mine-info-back').on('click',function(){
		Mine.refreshBack2Mine();
	});
});
//【昵称信息】PageInit
petKiki.onPageInit('modifyNickname', function(page) {
	//
	$$(".user-mine-myinfo-modify-nickname").val(Mine.userinfo.nickname);

	$$('.user-mine-myinfo-modify-button').on('click', function () {
		var nickname = utf16toEntities($$(".user-mine-myinfo-modify-nickname").val());
		if(nickname.length >= 20 || nickname.length == 0 || nickname == '' || nickname == ' '){
			toast.show("昵称太长或不合法");
			return;
		}
		Mine.modifyInfo(nickname, "nickname");
		Mine.userinfo.nickname = nickname;
		toast.show("保存成功");
		Mine.refreshBack();
	});

	$$('.user-mine-info-back').on("click", function(){
		Mine.refreshBack();
	});
});
//【性别信息】PageInit
petKiki.onPageInit('modifyGender', function(page) {
	var genderValue = null;
	//
	var maleGender = $$('.user-mine-myinfo-modify-gender-male-selected');
	var femaleGender = $$('.user-mine-myinfo-modify-gender-female-selected');
	var selectHTML = '<i class="iconfont" style="color:#ff2d4d">&#xe600;</i>';
	//
	var selectGender = null;
	//
	if(1 == Mine.userinfo.gender){
		maleGender.html(selectHTML);	
	}
	if(2 == Mine.userinfo.gender){
		femaleGender.html(selectHTML);
	}
	//
	$$('.user-mine-myinfo-modify-gender-male').on("click", function(){
		genderValue = 1;
		maleGender.html("");
		femaleGender.html("");
		maleGender.html(selectHTML);
	});
	//
	$$('.user-mine-myinfo-modify-gender-female').on("click", function(){
		genderValue = 2;
		maleGender.html("");
		femaleGender.html("");
		femaleGender.html(selectHTML);
	});
	//
	$$('.user-mine-myinfo-modify-button').on('click', function () {
		if(genderValue != null){
			Mine.modifyInfo(genderValue, "gender");
			Mine.userinfo.gender = genderValue;
		}else{
			Mine.refreshBack();
		}
	});
	//
	$$('.user-mine-info-back').on("click", function(){
		Mine.refreshBack();
	});
});
//【所在地信息】PageInit
petKiki.onPageInit('modifyLocation', function(page) {
	//
	var bMap = api.require('bMap');
	bMap.getLocation({
	    accuracy: '100m',
	    autoStop: true,
	    filter: 1
	}, function(ret, err) {
	    if (ret.status) {
	        if(ret.status == true){
	        	var lon = ret.lon;
	        	var lat = ret.lat;
	        	//
				bMap.getNameFromCoords({
				    lon: lon,
				    lat: lat
				}, function(retCoord, err) {
				    if (retCoord.status) {
				    	var city = retCoord.city;
				    	city = city.substring(0,city.indexOf('市'));
				    	$$('.user-mine-myinfo-modify-location-city').html(city);
				    	Mine.userinfo.address = city;
				    	//Mine.modifyInfo(city, "location");
				    }
				});
	        }
	    } else {
	        alert(err.code);
	    }
	});
	//
	$$('.user-mine-myinfo-modify-location-city-save').on("click", function(){
		//var city = $$('.user-mine-myinfo-modify-location-city').html();
		//console.log('city=' + city);
		//Mine.modifyInfo(city, "location");
		//Mine.userinfo.address = city;
	});

	//
	$$('.user-mine-info-back').on("click", function(){
		var UICityList = Mine.getCityList();
		//$$('.user-mine-myinfo-modify-location-city').html(city);
    	Mine.userinfo.address = $$('.user-mine-myinfo-modify-location-city').html();
    	Mine.modifyInfo(Mine.userinfo.address, "location");
		Mine.refreshBack();
		UICityList.close();
	});
});
//【性别信息】PageAfterAnimation
petKiki.onPageAfterAnimation('modifyLocation', function(page) {
	var UICityList = Mine.getCityList();
	try{
		UICityList.open({
			rect : {
				x : 0,
				y : 109,
				w : api.winWidth,
				h : api.winHeight  - 10
			},
			resource : 'widget://res/UICityList.json',
			styles : {
				searchBar : {
					bgColor : '#FFF',
					cancColor : '#E3E3E3'
				},
				location : {
					color : '#FFF',
				},
				sectionTitle : {
					bgColor : '#FFF',
				},
				item : {
					bgColor : '#FFF',
				},
				indicator : {
					bgColor : '#FFF',
				}
			},
			currentCity : '北京',
		}, function(ret, err) {
			if (ret) {
				if(ret.eventType == 'selected'){
					var data = ret.cityInfo;
					var citeName = data.city;
					$$('.user-mine-myinfo-modify-location-city').html(citeName);
					Mine.userinfo.address = citeName;
					//Mine.modifyInfo(citeName, "location");
				}
			} else {
				alert(JSON.stringify(err));
			}
		});
	}catch(e){
		console.log(e);
	}
});

//
var Mine = {
	"userinfo": {},
	"getCityList": function(){
		var UICityList = api.require('UICityList');
		return UICityList;
	},
	"getMyInfo": function(){
		window.Auto517.Ajax.ajaxBus({
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/getMyInfo.jhtml?fromChannel=app',
	        data : {
	            c_userid: globalVar.uuid
	        },
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	//
	        	var user 		= data.user;
	        	//
	        	if(user == undefined){
	        		Mine.logoutForce();
	        	}
	        	var dog 		= data.dog;
	        	//
	        	var uuid		= user.c_id;
	        	var nickname 	= user.c_nickname;
	        	var headimage 	= user.c_headimge;
	        	var address 	= user.c_address;
	        	var gender 		= user.c_gender;
	        	nickname 		= (nickname == undefined) ? "用户" + uuid:nickname;
	        	headimage 		= (headimage == undefined || headimage == '') ? '<img src="' + globalVar.serverAddress + '/upload/head_sculpture.png" style="width:65px;height:65px;border-radius: 4px;">':'<img src="' + globalVar.serverAddress + '/upload/' + headimage + '" style="width:64px;height:64px;border-radius: 4px;">';
	        	address 		= (address == undefined) ? null:address;
	        	gender 			= (gender == undefined) ? null:gender;
	        	//
	        	Mine.userinfo = {
	        		"uuid": uuid,
	        		"nickname": nickname,
	        		"headimage": headimage,
	        		"address": address,
	        		"gender": gender
	        	}
				//
				dog.push({"c_id":-1, "c_headimge":"plus.png"});
				//
				var myPetDOM 		= $$('.user-mine-mypetlist');
				var containerHeight = myPetDOM.height();
				var containerWidth 	= myPetDOM.width();
				var perWidth 		= 65;
				var marginLeft 		= 10;
				//
				var totalNum 		= dog.length;
				var countPerLine 	= Math.floor(containerWidth / (perWidth + marginLeft));
				var lineNum 		= Math.ceil((totalNum) / countPerLine);
				var html = '';
				//个人信息
				$$('.user-mine-nickname').html(nickname);
				$$('.user-mine-location').html(address);
				$$('.user-mine-headimage').html(headimage);
				//我的宠物个数
				$$('.user-mine-petncount').html("(" + (totalNum-1) + ")");
				//
				$$.each(dog, function (index, value) {
					var marginLeft 	= 0;
					var marginTop 	= 0;
					var url 		= value.c_headimge;
					var id 			= value.c_id;
					//
					if(index%countPerLine == 0){
						marginTop = (index == 0)?"px":"10px";
						html += '<div style="display:flex;margin-top:' + marginTop + '">';
					}else{
						marginLeft = 10;
					}
					//
					if(index != totalNum -1 || true){
						if(id == -1){
							marginLeft = '5px 0 0 10px;';
							html += '<div style="height:65px;width:65px;margin:' + marginLeft + '">';
						}else{
							html += '<div style="height:65px;width:65px;margin-left:' + marginLeft + 'px;">';	
						}
						
						if(id == -1){
							html += '	<a href="html/user/pet/addpet.html?type=add&back=false" class="item-link"><img src="image/plus.png" style="width:55px;height:55px;"></a>';	
						}else{
							url = (url == undefined || url == '') ?url = 'pet_head_sculpture.png': url;
							html += '	<a href="html/user/pet/petinfo.html?id=' + id + '" class="item-link"><img src="' + globalVar.serverAddress + '/upload/' + url + '" style="width:65px;height:65px;border-radius: 50px;"></a>';	
						}
						html += '</div>';
					}else{
						//html += '<div style="height: 40px;width: 40px;margin-left:' + marginLeft + 'px;"><i class="iconfont" style="font-size: 45px;top: 3px;position: absolute;color: #ffa709;">&#xe748;</i></div>';
					}
					//
					if((index+1) % countPerLine == 0){
						html += '</div>';
					}
				});
				//
				html += ''
				//
				myPetDOM.html(html);
				//
				$$('.user-mine-balance').html(user.c_balance);
	        },
	        beforeSend: window.Auto517.Ajax.beforeSendFun,
	        error : window.Auto517.Ajax.errorFun,
	        complete: window.Auto517.Ajax.completeFun,
	    });
	},
	"modifyInfo": function(value, type){
		//
		var ajaxCfg = {
	        method : 'post',
	        url : globalVar.serverAddress + '/customer/updateBasicInfo.jhtml?fromChannel=app',
	        dataType : 'json',
	        timeout : 150000,
	        success : function(data) {
	        	if(data.c_userid == globalVar.uuid){
	        		//alert(JSON.stringify(data));
	        		//
	        		if(data.c_headimge != undefined){
	        			Mine.userinfo.headimage = '<img src="' + globalVar.serverAddress + '/upload/' + data.c_headimge + '" style="width:64px;height:64px;border-radius: 4px;">';
	        			$$('.user-mine-myinfo-headimage').html('<img src="' + globalVar.serverAddress + '/upload/' + data.c_headimge + '" style="width:64px;height:64px;border-radius: 4px;">');
	        		}
	        		//
	        		var UICityList = Mine.getCityList();
	        		//
					Mine.refreshBack();
					//
					try{
						UICityList.close();
					}catch(e){
						console.log(e);
					}
					//
					toast.show("修改成功");
	        	}
	        }
	    };
		var para = {};
		if(type == 'nickname'){
			para = {c_userid:globalVar.uuid ,c_nickname: value}
		}else if(type == 'gender'){
			para = {c_userid:globalVar.uuid ,c_gender: value}
		}else if(type == 'location'){
			para = {c_userid:globalVar.uuid ,c_address: value}
		}else if(type == 'headimage'){
			para = {c_userid:globalVar.uuid ,c_headimge: value}
		}

		ajaxCfg.data = para;
		//
		window.Auto517.Ajax.ajaxBus(ajaxCfg);
	},
	"refreshBack": function(){
		mainView.router.back({
			"url": "html/user/myinfo.html",
			"force": true
		});
	},
	"refreshBack2Mine": function(){
		mainView.router.back({
			"url": "html/user/user.html",
			"force": true
		});
	},
	"logoutEventHandler": function(){
		//
		toast.show("退出成功");
		//
		window.localStorage.setItem("uuid","");
		window.localStorage.setItem("cellphone","");
		window.localStorage.setItem("News","");
		//
		Mine.userinfo = {};
		//
		globalVar.uuid = null;
		globalVar.cellphone = null;
		//
		Auto517.Ajpush.startNotification('logout');
		//
		mainView.router.loadPage({
			"url": "welcome.html",
			"force": true
		});
	},
	"logoutForce": function(){
		//
		toast.show("异常登录");
		//
		window.localStorage.setItem("uuid","");
		window.localStorage.setItem("News","");
		//
		Mine.userinfo = {};
		//
		globalVar.uuid = null;
		//
		Auto517.Ajpush.startNotification('logout');
		//
		mainView.router.loadPage({
			"url": "welcome.html",
			"force": true
		});
	},
	"getPictureEventHandler": function(){
		var buttons1 = [
		    {
		        text: '拍照',
	            onClick: function(){
	            	//
					api.getPicture({
					    sourceType: 'camera',
					    encodingType: 'jpg',
					    mediaValue: 'pic',
					    destinationType: 'base64',
					    allowEdit: true,
					    quality: 100,
					    targetWidth: 200,
					    targetHeight: 200,
					    saveToPhotoAlbum: false
					}, function(ret, err) {
						if (ret != undefined) {
							if(ret.base64Data != ""){
								Mine.modifyInfo(ret.base64Data, "headimage");
							}
						} else {
							petKiki.alert("取消或相机打开失败,请检查权限!");
						}
					});
	            }
		    },
		    {
	            text: '从手机相册选择',
				onClick: function(){
	            	//
					api.getPicture({
					    sourceType: 'album',
					    encodingType: 'jpg',
					    mediaValue: 'pic',
					    destinationType: 'base64',
					    allowEdit: true,
					    quality: 100,
					    targetWidth: 200,
					    targetHeight: 200,
					    saveToPhotoAlbum: false
					}, function(ret, err) {
						if (ret != undefined) {
							if(ret.base64Data != ""){
								Mine.modifyInfo(ret.base64Data, "headimage");
							}
						} else {
							petKiki.alert("取消或相机打开失败,请检查权限!");
						}
					});
	            }
	        }
		];
		var buttons2 = [
		    {
		        text: '取消',
		    }
		];
		var groups = [buttons1, buttons2];
		petKiki.actions(groups);

		/*
	    var buttons = [
	        {
	            text: '拍照',
	            onClick: function(){
	            	//
					api.getPicture({
					    sourceType: 'camera',
					    encodingType: 'jpg',
					    mediaValue: 'pic',
					    destinationType: 'base64',
					    allowEdit: true,
					    quality: 100,
					    targetWidth: 40,
					    targetHeight: 40,
					    saveToPhotoAlbum: false
					}, function(ret, err) {
					    if (ret) {
					        Mine.modifyInfo(ret.base64Data, "headimage");
					    } else {
					        if(ret != undefined){
					    		alert("相机打开失败,请检查权限!");
					    	}
					    }
					});
	            }
	        },
	        {
	            text: '从手机相册选择',
				onClick: function(){
	            	//
					api.getPicture({
					    sourceType: 'album',
					    encodingType: 'jpg',
					    mediaValue: 'pic',
					    destinationType: 'base64',
					    allowEdit: true,
					    quality: 100,
					    targetWidth: 40,
					    targetHeight: 40,
					    saveToPhotoAlbum: false
					}, function(ret, err) {
					    if (ret) {
					        Mine.modifyInfo(ret.base64Data, "headimage");
					    } else {
					    	if(ret != undefined){
					    		alert("相机打开失败,请检查权限!");
					    	}
					    }
					});
	            }
	        },
	        {
	            text: '取消',
	        },
	    ];
	    petKiki.actions(buttons);
	    */
	},
	"getUserinfoById": function(extra){
		//
		var fromUserId 	= extra.fromUserId;
		var toUserId 	= extra.toUserId;
		var content 	= extra.content;
		var title 		= extra.title;
		var type 		= extra.type;
		//
		if(fromUserId == "0" || fromUserId == 0){
			Auto517.Notification.addNotification({
                title: title,
                subtitle: '来源:宠客',
                message: content,
                media: '<img width="44" height="44" style="border-radius:100%" src="icon/200x200.png">',
                hold: 10000,
                //onClick: clickHandler,
                //onClose: closeHandler
            });
            //
            api.notification({
                notify: {
                }
            }, function(ret, err) {
                //
            });
		}else{
			window.Auto517.Ajax.ajaxBus({
		        method : 'post',
		        url : globalVar.serverAddress + '/customer/getMyBasicInfo.jhtml?fromChannel=app&t=' + getRandom(),
		        data : {
		            c_userid: toUserId
		        },
		        dataType : 'json',
		        timeout : 150000,
		        success : function(data) {
		        	//alert(JSON.stringify(data));
		        	var headimage = data.c_headimge;
		        	var nickname = data.c_nickname;
		        	var notificationCft = {
		                title: title,
		                subtitle: '来源:' + nickname,
		                message: content,
		                media: '<img width="44" height="44" style="border-radius:100%" src="' + globalVar.serverAddress + '/upload/' + headimage + '">',
		                hold: 10000,
		                //onClick: clickHandler,
		                //onClose: closeHandler
		            };
		            //
		            if(type == '1' || type == 1){
		            	notificationCft.onClick = function(){
		            		mainView.router.loadPage("html/news/news/comment_reply.html");
		            	}
		            }
		            //
		            if(type == '2' || type == 2){
						notificationCft.onClick = function(){
		            		mainView.router.loadPage("html/news/news/find_pet_notice.html"); 
		            	}
		            }
		            //
		            Auto517.Notification.addNotification(notificationCft);
		            //
		            api.notification({
		                notify: {
		                }
		            }, function(ret, err) {
		                //
		            });
		        },
		        beforeSend: window.Auto517.Ajax.beforeSendFun,
		        error : window.Auto517.Ajax.errorFun,
		        complete: window.Auto517.Ajax.completeFun,
		    });
		}
	}
}

	//测试数据
	/*
	//
	var exampleData = [
		{"c_id":1,"c_headimge":"image/dog3.jpg"},
		{"c_id":2,"c_headimge":"image/dog3.jpg"},
		{"c_id":3,"c_headimge":"image/dog3.jpg"},
		{"c_id":4,"c_headimge":"image/dog3.jpg"},
		{"c_id":5,"c_headimge":"image/dog3.jpg"},
		{"c_id":6,"c_headimge":"image/dog3.jpg"},
		{"c_id":7,"c_headimge":"image/dog3.jpg"},
		{"c_id":8,"c_headimge":"image/dog3.jpg"},
		{"c_id":9,"c_headimge":"image/dog3.jpg"},
		{"c_id":10,"c_headimge":"image/dog3.jpg"},
		{"c_id":11,"c_headimge":"image/dog3.jpg"},
		{"c_id":12,"c_headimge":"image/dog3.jpg"},
		{"c_id":13,"c_headimge":"image/dog3.jpg"},
		{"c_id":14,"c_headimge":"image/dog3.jpg"},
	];
	//
	exampleData.push({"c_id":-1, "c_headimge":"upload/plus.png"});
	//
	var myPetDOM 		= $$('.user-mine-mypetlist');
	var containerHeight = myPetDOM.height();
	var containerWidth 	= myPetDOM.width();
	var perWidth 		= 40;
	var marginLeft 		= 10;
	//
	var totalNum = exampleData.length;
	var countPerLine = Math. floor(containerWidth / (perWidth + marginLeft));
	var lineNum = Math.ceil((totalNum) / countPerLine);

	var html = '';
	//
	$$.each(exampleData, function (index, value) {
		var marginLeft = 0;
		var marginTop = 0;
		var url = value.c_headimge;
		//
		if(index%countPerLine == 0){
			marginTop = (index == 0)?"px":"10px";
			html += '<div style="display:flex;margin-top:' + marginTop + '">';
		}else{
			marginLeft = 10;
		}
		//

		if(index != totalNum -1 || true){
			html += '<div style="height:40px;width:40px;margin-left:' + marginLeft + 'px;">' + 
						'<img src="' + url + '" style="width:40px;height:40px;border-radius: 50px;">' + 
					'</div>';
		}else{
			//html += '<div style="height: 40px;width: 40px;margin-left:' + marginLeft + 'px;"><i class="iconfont" style="font-size: 45px;top: 3px;position: absolute;color: #ffa709;">&#xe748;</i></div>';
		}

		//
		if((index+1)%countPerLine == 0){
			html += '</div>';
		}
	});

	html += ''

	myPetDOM.html(html);
	*/